# Kubernetes Contributor Communications Team Charter

## Summary

The mission of the Kubernetes Contributor Communications team (Contributor Comms for short) is to elevate the hard work being done throughout the Kubernetes community by its contributors. Promoting the work of contributors both internally within the contributor community, and externally is at the core of the Contributor Comms team’s work. The goal of this work is to improve the overall sustainability of the project by giving or elevating information to contributors so they stay well informed.

## Ethos/Vision

This group's work is in support of the upstream Kubernetes community only (the open source project). As such it will adhere to the [Kubernetes Community Values](/values.md#kubernetes-community-values). The core value we feel strongest about is [Community over product or company](/values.md#community-over-product-or-company). The makeup of this team will be from all walks of life including vendors. The work of the Kubernetes community should always be prioritized over vendor created works. Contributor Comms team members are expected to act in the interest of the community and not their employers while performing community duties.

## Goals

The goal of the Contributor Comms team is to be of service to the community by being leaders in contributor storytelling. It will act to facilitate conversations across the Kubernetes community and share compelling stories about contributors. It will also act as a voice of the community to broaden the reach and effectiveness of community communications. Facilitating those communications is a critical function of this team.

## Out of Scope

This team operates independently from Cloud Native Computing Foundation (CNCF) operations. The Team works with CNCF as needed but it exists within the Kubernetes governance model and is not a part or extension of CNCF Marketing. As such, this is not the team to reach out to about official CNCF Events and/or KubeCon. #kubecon on slack can be a helpful resource there. This team can assist in some ways with other CNCF projects but, the first priority of the team is Kubernetes.

## Governance

The Contributor Comms subproject welcomes and encourages its members to take on leadership roles in their contributions. The group defines the areas of its work such as social media, blogging, etc. and creates associated leadership roles accordingly. Members are encouraged to pursue any interest in specific areas as contributing team members, leads, or shadows. Leadership roles are defined in the subproject’s [role handbooks](./role-handbooks/).

## Roles and Subproject Management

General subproject leadership is handled by the Contributor Comms Subproject Lead(s). Specific subproject responsibilities are also broken down into areas with their own lead roles, as defined here:

* [Contributor Comms Subproject Lead](./role-handbooks/Subproject-Lead.md)
* [Social Media Coordinator](./role-handbooks/Social-Media.md)
* [Comms Tech Lead](./role-handbooks/Comms-Tech-Lead.md)
* [Comms Blog Coordinator](./role-handbooks/blog-coordinator.md)
* Emeritus (previous team members that we had the privilege of working with)

All roles can have multiple shadows and should have at least one shadow. All leads should actively recruit members and shadows for the entire team.

Roles are flexible and subject to change.

Roles are occupied or available as indicated on our [README.md](https://github.com/kubernetes/community/tree/master/communication/contributor-comms#readme).

### Decision Making

Decisions affecting all of Contributor Comms are made primarily led by the Contributor Comms Subproject Lead[s]. Decisions are generally made by lazy consensus with the goal of everyone getting a say, but leads are ultimately responsible for making the decision. If team members do not agree with one or more decisions made on behalf of the team, this should be raised to the subproject lead[s] as well as the SIG Contributor Experience leads to facilitate a resolution.

Leads have the responsibility and autonomy to decide what is right for their portion of the group's division of work. The same escalation path can be used in case of disagreement that cannot be resolved by internal discussion.

### Off-Ramp

Things change, priorities get optimized, life happens. Having an easy on and off ramp is important to this team. If a lead needs to take an extended absence or leave the team, a shadow would be offered the lead position prior to seeking a lead elsewhere. Therefore moving from shadow to lead and vice versa should be made as simply as possible by continued communications from this team about its members, roles, successes, and failures.

In the case where no shadow is available, other team members have the responsibility to cover the role. Concerns for time or ability to cover work can be escalated to advisors and SIG Contributor Experience leads as necessary.
