-------------------------------------------------------------
name: Stephen Augustus
ID: justaugustus
info:
  - employer: Cisco
  - slack: justaugustus
-------------------------------------------------------------

## SIGs

- SIG Release
  - SIG Release Chair
  - Release Manager
- SIG Architecture
  - Enhancements / [Kubernetes Enhancements Proposals (KEP)][KEP] subproject owner

## What I have done

### Past/Ongoing

- Helping to build and nurture the Release Team for several cycles
- Founded and currently leading the Release Managers group
- Shepherding the [KEP][KEP] process through numerous improvements
- Identified and assisted with the donation and maintenance of several subprojects
  - [Cluster API Azure][capz]
  - [https://downloadkubernetes.com/][downloadkubernetes]
  - [zeitgeist][zeitgeist]
- Driving discussions on community-wide issue/PR triage optimization

As a Chair for CNCF SIG Contributor Strategy and a
[Dex](https://github.com/dexidp/dex) maintainer, I also strive to bring our
community values and best practices to other CNCF projects.

I've been honored to receive the Chop Wood / Carry Water award and serve as a
KubeCon / CloudNativeCon Chair for my dedication to the community at large.

### Emeritus roles

- SIG PM Chair
- SIG Azure Chair
- WG Naming Lead
- [Cluster API Azure][capz] maintainer (SIG Cluster Lifecycle)
- [New Membership Coordinator][nmc] (GitHub Management subproject)
- Release Team member

## What I'll do

Over my years on the project, I've seen that so much can be achieved when we
invest in delivering project-wide process improvements.

My single biggest goal is to **_reduce/remove friction in contributing to Kubernetes._**

We still have plenty of work to do here:

- Removing interrupts to allow SIG Chairs / Technical Leads to do more effective work
- Increasing our reviewers/approvers across component areas
- Continuing the SIG/WG Annual Report to identify improvements for all governance groups
- Nurturing efforts that support underrepresented / marginalized groups in technology
- Encouraging the growth of new project leaders, through both example and active mentorship

## Resources About Me

- YouTube talk playlist: [https://www.youtube.com/playlist?list=PLnRXOw13j0MsfAinWbb1AJ5b9CAx9uBNM](https://www.youtube.com/playlist?list=PLnRXOw13j0MsfAinWbb1AJ5b9CAx9uBNM)

[capz]: https://sigs.k8s.io/cluster-api-provider-azure
[downloadkubernetes]: https://github.com/kubernetes-sigs/downloadkubernetes
[@justaugustus]: https://github.com/justaugustus
[KEP]: https://git.k8s.io/enhancements/keps
[LinkedIn]: https://www.linkedin.com/in/stephenaugustus
[nmc]: https://git.k8s.io/community/github-management#new-membership-coordinator
[Twitter]: https://twitter.com/stephenaugustus
[whois.auggie.dev]: https://whois.auggie.dev/
[zeitgeist]: https://github.com/kubernetes-sigs/zeitgeist
