-------------------------------------------------------------
name: Arnaud Meukam
ID: ameukam
info:
  - employer: VMware
  - slack: Arnaud
-------------------------------------------------------------

## SIGS

- SIG K8s Infra: SIG Chair
- SIG Release: Release Manager Associate
- SIG Testing

## What I have done

I have been involved with the Kubernetes project since 2018. Joined as a shadow in the SIG Release shadow program. I later joined the Kubernetes Infrastructure SIG and became SIG Chair.

 - Boostrap registry.k8s.io as the new distribution platform for our container images
 - Establish a partnership with Fastly to ensure our binaries to distributed to a CDN network.
 - Driving the strategy on how to extend our infrastructure footprint to AWS
 - Member of the past release teams (1.12, 1.13, 1.14)
 - Former Github Admin for all organizations of the projects

## What I'll do

As a member of the community, I am committed to pushing the project's progress while preserving the community's ideals. My primary goal is to keep Kubernetes at the cutting edge of innovation while retaining a user-centric approach. I will work relentlessly to encourage collaboration among all stakeholders, empowering developers, operators, and end users alike.

I am passionate about making Kubernetes more accessible to newcomers, streamlining the onboarding process. Additionally, I will champion initiatives that prioritize sustainability and efficiency, ensuring Kubernetes remains a sustainable choice for organizations of all sizes.

I will advocate for strategic decisions that align with both the project's technical excellence and its broader impact on the cloud-native ecosystem. Through transparent communication, active engagement with the community, and a commitment to inclusivity, I aim to drive Kubernetes forward as a powerful and versatile platform that meets the evolving needs of the industry.

In collaboration with my fellow committee members, I will work to nurture a culture of diversity, and collaboration, ensuring that Kubernetes continues to thrive as an open-source project.

## Resources About Me

- Twitter: [@ameukam](https://twitter.com/ameukam)
- Talks:
  - [Why We Moved the Kubernetes Image Registry](https://www.youtube.com/watch?v=9CdzisDQkjE)
  - [KCNA 22 - Kubernetes Infra SIG: Intro And Updates](https://www.youtube.com/watch?v=mJAC4asDCOw)
  - [KCEU 23 - Kubernetes Infra SIG: Intro And Updates](https://www.youtube.com/watch?v=_QAElyKyN1o)
