-------------------------------------------------------------
name: Stephen Augustus
ID: justaugustus
info:
  - employer: Cisco
  - slack: justaugustus
-------------------------------------------------------------

## SIGs

- SIG Release
  - SIG Release Chair
  - Release Manager
  - Release Engineering subproject owner

## External open source roles

- OpenSSF Governing Board member
- OpenAPI Initiative Business Governing Board member
- Maintainer:
  - [OpenSSF Scorecard](https://github.com/ossf/scorecard)
  - [CNCF Dex](https://dexidp.io/)

## What I have done

Throughout my career in Kubernetes, I have identified and contributed to high-impact areas of the project, founded, staffed, and mentored multiple governance groups, and created process and policy in its absence.

### Emeritus roles

- SIG PM Chair
- SIG Azure Chair
- WG Naming Lead
- [Cluster API Azure][capz] maintainer (SIG Cluster Lifecycle)
- [Enhancements][enhancements] subproject owner (SIG Architecture)
- [New Membership Coordinator][nmc] (GitHub Management subproject)
- Release Team member

## What I'll do

My continued goal is to **_reduce/remove friction in contributing to Kubernetes._**

To help ensure the **sustainability** of the project, I will focus on three areas; _effectiveness_, _agility_, and _sponsorship_:

Supporting initiatives that bolster the **Effectiveness** of our governance bodies, both in actuality and community perception.

Improve mechanisms to achieve quality decisions, without sacrificing **Agility**.

**Sponsorship** of efforts that allow community members to sustain contributions to the Kubernetes project and the wider ecosystem.

## Resources About Me

- [whois.auggie.dev (personal website)](https://whois.auggie.dev/)
- [GitHub](https://github.com/justaugustus)
- [LinkedIn](https://www.linkedin.com/in/stephenaugustus)
- [X (Twitter)](https://twitter.com/stephenaugustus)
- [YouTube (talk playlist)](https://youtube.com/playlist?list=PLnRXOw13j0MsfAinWbb1AJ5b9CAx9uBNM)

[capz]: https://sigs.k8s.io/cluster-api-provider-azure
[enhancements]: https://git.k8s.io/community/sig-architecture#enhancements
[nmc]: https://git.k8s.io/community/github-management#new-membership-coordinator
