<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
--->
# Apps Special Interest Group

Covers deploying and operating applications in Kubernetes. We focus on the developer and devops experience of running applications in Kubernetes. We discuss how to define and run apps in Kubernetes, demo relevant tools and projects, and discuss areas of friction that can lead to suggesting improvements or feature requests.

The [charter](charter.md) defines the scope and governance of the Apps Special Interest Group.

## Meetings
*Joining the [mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-apps) for the group will typically add invites for the following meetings to your calendar.*
* Regular SIG Meeting: [Mondays at 9:00 PT (Pacific Time)](https://zoom.us/j/739385290?pwd=ekVmNGRjT214MGJkY1JUUUpPMVlJUT09) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=9:00&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1LZLBGW2wRDwAfdBNHJjFfk9CFoyZPcIYGWU7R1PQ3ng/edit#).
  * [Meeting recordings](https://www.youtube.com/playlist?list=PL69nYSiGNLP2LMq7vznITnpd2Fk1YIZF3).

## Leadership

### Chairs
The Chairs of the SIG run operations and processes governing the SIG.

* Janet Kuo (**[@janetkuo](https://github.com/janetkuo)**), Google
* Kenneth Owens (**[@kow3ns](https://github.com/kow3ns)**), Snowflake
* Maciej Szulik (**[@soltysh](https://github.com/soltysh)**), Red Hat

### Technical Leads
The Technical Leads of the SIG establish new subprojects, decommission existing
subprojects, and resolve cross-subproject technical issues and decisions.

* Janet Kuo (**[@janetkuo](https://github.com/janetkuo)**), Google
* Kenneth Owens (**[@kow3ns](https://github.com/kow3ns)**), Snowflake
* Maciej Szulik (**[@soltysh](https://github.com/soltysh)**), Red Hat

## Emeritus Leads

* Matt Farina (**[@mattfarina](https://github.com/mattfarina)**)
* Adnan Abdulhussein (**[@prydonius](https://github.com/prydonius)**)

## Contact
- Slack: [#sig-apps](https://kubernetes.slack.com/messages/sig-apps)
- [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-apps)
- [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fapps)
- GitHub Teams:
    - [@kubernetes/sig-apps-api-reviews](https://github.com/orgs/kubernetes/teams/sig-apps-api-reviews) - API Changes and Reviews
    - [@kubernetes/sig-apps-bugs](https://github.com/orgs/kubernetes/teams/sig-apps-bugs) - Bug Triage and Troubleshooting
    - [@kubernetes/sig-apps-feature-requests](https://github.com/orgs/kubernetes/teams/sig-apps-feature-requests) - Feature Requests
    - [@kubernetes/sig-apps-misc](https://github.com/orgs/kubernetes/teams/sig-apps-misc) - General Discussion
    - [@kubernetes/sig-apps-pr-reviews](https://github.com/orgs/kubernetes/teams/sig-apps-pr-reviews) - PR Reviews
    - [@kubernetes/sig-apps-proposals](https://github.com/orgs/kubernetes/teams/sig-apps-proposals) - Design Proposals
    - [@kubernetes/sig-apps-test-failures](https://github.com/orgs/kubernetes/teams/sig-apps-test-failures) - Test Failures and Triage
- Steering Committee Liaison: Bob Killen (**[@mrbobbytables](https://github.com/mrbobbytables)**)

## Working Groups

The following [working groups][working-group-definition] are sponsored by sig-apps:
* [WG Batch](/wg-batch)
* [WG Data Protection](/wg-data-protection)
* [WG Serving](/wg-serving)


## Subprojects

The following [subprojects][subproject-definition] are owned by sig-apps:
### application
Application metadata descriptor CRD
- **Owners:**
  - [kubernetes-sigs/application](https://github.com/kubernetes-sigs/application/blob/master/OWNERS)
### examples
- **Owners:**
  - [kubernetes/examples](https://github.com/kubernetes/examples/blob/master/OWNERS)
### execution-hook
- **Owners:**
  - [kubernetes-sigs/execution-hook](https://github.com/kubernetes-sigs/execution-hook/blob/master/OWNERS)
### kompose
- **Owners:**
  - [kubernetes/kompose](https://github.com/kubernetes/kompose/blob/master/OWNERS)
- **Contact:**
  - Slack: [#kompose](https://kubernetes.slack.com/messages/kompose)
### workloads-api
The core workloads API, which is composed of the CronJob, DaemonSet, Deployment, Job, ReplicaSet, ReplicationController, PodDisruptionBudget and StatefulSet kinds
- **Owners:**
  - [kubernetes-sigs/jobset](https://github.com/kubernetes-sigs/jobset/blob/main/OWNERS)
  - [kubernetes-sigs/lws](https://github.com/kubernetes-sigs/lws/blob/main/OWNERS)
  - [kubernetes/kubernetes/pkg/apis/apps](https://github.com/kubernetes/kubernetes/blob/master/pkg/apis/apps/OWNERS)
  - [kubernetes/kubernetes/pkg/apis/batch](https://github.com/kubernetes/kubernetes/blob/master/pkg/apis/batch/OWNERS)
  - [kubernetes/kubernetes/pkg/apis/core/v1](https://github.com/kubernetes/kubernetes/blob/master/pkg/apis/core/v1/OWNERS)
  - [kubernetes/kubernetes/pkg/apis/extensions](https://github.com/kubernetes/kubernetes/blob/master/pkg/apis/extensions/OWNERS)
  - [kubernetes/kubernetes/pkg/apis/policy](https://github.com/kubernetes/kubernetes/blob/master/pkg/apis/policy/OWNERS)
  - [kubernetes/kubernetes/pkg/controller/cronjob](https://github.com/kubernetes/kubernetes/blob/master/pkg/controller/cronjob/OWNERS)
  - [kubernetes/kubernetes/pkg/controller/daemon](https://github.com/kubernetes/kubernetes/blob/master/pkg/controller/daemon/OWNERS)
  - [kubernetes/kubernetes/pkg/controller/deployment](https://github.com/kubernetes/kubernetes/blob/master/pkg/controller/deployment/OWNERS)
  - [kubernetes/kubernetes/pkg/controller/disruption](https://github.com/kubernetes/kubernetes/blob/master/pkg/controller/disruption/OWNERS)
  - [kubernetes/kubernetes/pkg/controller/history](https://github.com/kubernetes/kubernetes/blob/master/pkg/controller/history/OWNERS)
  - [kubernetes/kubernetes/pkg/controller/job](https://github.com/kubernetes/kubernetes/blob/master/pkg/controller/job/OWNERS)
  - [kubernetes/kubernetes/pkg/controller/replicaset](https://github.com/kubernetes/kubernetes/blob/master/pkg/controller/replicaset/OWNERS)
  - [kubernetes/kubernetes/pkg/controller/replication](https://github.com/kubernetes/kubernetes/blob/master/pkg/controller/replication/OWNERS)
  - [kubernetes/kubernetes/pkg/controller/statefulset](https://github.com/kubernetes/kubernetes/blob/master/pkg/controller/statefulset/OWNERS)
  - [kubernetes/kubernetes/pkg/registry/apps](https://github.com/kubernetes/kubernetes/blob/master/pkg/registry/apps/OWNERS)
  - [kubernetes/kubernetes/pkg/registry/batch](https://github.com/kubernetes/kubernetes/blob/master/pkg/registry/batch/OWNERS)
  - [kubernetes/kubernetes/pkg/registry/extensions](https://github.com/kubernetes/kubernetes/blob/master/pkg/registry/extensions/OWNERS)
  - [kubernetes/kubernetes/staging/src/k8s.io/api/apps](https://github.com/kubernetes/kubernetes/blob/master/staging/src/k8s.io/api/apps/OWNERS)
  - [kubernetes/kubernetes/staging/src/k8s.io/api/batch](https://github.com/kubernetes/kubernetes/blob/master/staging/src/k8s.io/api/batch/OWNERS)
  - [kubernetes/kubernetes/staging/src/k8s.io/api/core/v1](https://github.com/kubernetes/kubernetes/blob/master/staging/src/k8s.io/api/core/v1/OWNERS)
  - [kubernetes/kubernetes/staging/src/k8s.io/api/extensions](https://github.com/kubernetes/kubernetes/blob/master/staging/src/k8s.io/api/extensions/OWNERS)
  - [kubernetes/kubernetes/staging/src/k8s.io/api/policy](https://github.com/kubernetes/kubernetes/blob/master/staging/src/k8s.io/api/policy/OWNERS)
  - [kubernetes/kubernetes/test/e2e/apps](https://github.com/kubernetes/kubernetes/blob/master/test/e2e/apps/OWNERS)
  - [kubernetes/kubernetes/test/integration/daemonset](https://github.com/kubernetes/kubernetes/blob/master/test/integration/daemonset/OWNERS)
  - [kubernetes/kubernetes/test/integration/deployment](https://github.com/kubernetes/kubernetes/blob/master/test/integration/deployment/OWNERS)

[subproject-definition]: https://github.com/kubernetes/community/blob/master/governance.md#subprojects
[working-group-definition]: https://github.com/kubernetes/community/blob/master/governance.md#working-groups
<!-- BEGIN CUSTOM CONTENT -->

## Goals

* Discuss running and defining applications in Kubernetes (e.g., APIs, SDKs, Controllers, package management tools, etc.)
* Work on improvements to the Workload API
* Suggest Kubernetes features where we see friction
* Be the voice of the people running applications in Kubernetes (developers and devops)
* Help people get involved in the Kubernetes community
* Show early features/demos of tools that make running apps easier

## Non-goals

* Do not endorse one particular ecosystem tool
* Do not pick which apps to run on top of Kubernetes
* Do not recommend one way to do things (e.g., picking a template language)

## [Helm](https://helm.sh) and [Charts](https://github.com/kubernetes/charts)

Helm, Charts and its other subprojects have [moved to the CNCF](https://github.com/cncf/toc/blob/main/proposals/incubation/helm.adoc).
See Helm's [community repository](https://github.com/kubernetes-helm/community) for information about the Helm project.

<!-- END CUSTOM CONTENT -->
