<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
--->
# CLI Special Interest Group

Covers kubectl and related tools. We focus on the development and standardization of the CLI framework and its dependencies, the establishment of conventions for writing CLI commands, POSIX compliance, and improving the command line tools from a developer and devops user experience and usability perspective.

The [charter](charter.md) defines the scope and governance of the CLI Special Interest Group.

## Meetings
*Joining the [mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-cli) for the group will typically add invites for the following meetings to your calendar.*
* Bug Scrub: [Wednesdays at 09:00 PT (Pacific Time)](https://zoom.us/j/288426795?pwd=UDdoYnFyNjBiS1RHcXRxS1BCNy9wUT09) (every four weeks). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=09:00&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1I1UFGHMDO7mMbDbioQp52DEJXEhk1qymch3qL5-EN10/edit?usp=sharing).
  * [Meeting recordings](https://www.youtube.com/playlist?list=PL69nYSiGNLP28HaTzSlFe6RJVxpFmbUvF).
* KRM Functions Subproject Meeting: [Wednesdays at 10:30 PT (Pacific Time)](https://zoom.us/j/288426795?pwd=UDdoYnFyNjBiS1RHcXRxS1BCNy9wUT09) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=10:30&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1x80l4i88F27zSCxSjlhvwFdH6jQAHou1k1ibuXrDTaw/edit).
  * [Meeting recordings](https://www.youtube.com/playlist?list=PL69nYSiGNLP28HaTzSlFe6RJVxpFmbUvF).
* Kustomize Bug Scrub: [Wednesdays at 09:00 PT (Pacific Time)](https://zoom.us/j/288426795?pwd=UDdoYnFyNjBiS1RHcXRxS1BCNy9wUT09) (every four weeks). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=09:00&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1I1UFGHMDO7mMbDbioQp52DEJXEhk1qymch3qL5-EN10/edit?usp=sharing).
  * [Meeting recordings](https://www.youtube.com/playlist?list=PL69nYSiGNLP28HaTzSlFe6RJVxpFmbUvF).
* Regular SIG Meeting: [Wednesdays at 09:00 PT (Pacific Time)](https://zoom.us/j/288426795?pwd=UDdoYnFyNjBiS1RHcXRxS1BCNy9wUT09) (biweekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=09:00&tz=PT%20%28Pacific%20Time%29).
  * [Meeting notes and Agenda](https://docs.google.com/document/d/1I1UFGHMDO7mMbDbioQp52DEJXEhk1qymch3qL5-EN10/edit?usp=sharing).
  * [Meeting recordings](https://www.youtube.com/playlist?list=PL69nYSiGNLP28HaTzSlFe6RJVxpFmbUvF).

## Leadership

### Chairs
The Chairs of the SIG run operations and processes governing the SIG.

* Arda Guclu (**[@ardaguclu](https://github.com/ardaguclu)**), Red Hat
* Marly Puckett (**[@mpuckett159](https://github.com/mpuckett159)**), Independent

### Technical Leads
The Technical Leads of the SIG establish new subprojects, decommission existing
subprojects, and resolve cross-subproject technical issues and decisions.

* Eddie Zaneski (**[@eddiezane](https://github.com/eddiezane)**), Defense Unicorns
* Maciej Szulik (**[@soltysh](https://github.com/soltysh)**), Red Hat

## Emeritus Leads

* Tony Ado (**[@AdoHe](https://github.com/AdoHe)**)
* Katrina Verey (**[@KnVerey](https://github.com/KnVerey)**)
* Fabiano Franz (**[@fabianofranz](https://github.com/fabianofranz)**)
* Natasha Sarkar (**[@natasha41575](https://github.com/natasha41575)**)
* Phillip Wittrock (**[@pwittrock](https://github.com/pwittrock)**)
* Sean Sullivan (**[@seans3](https://github.com/seans3)**)

## Contact
- Slack: [#sig-cli](https://kubernetes.slack.com/messages/sig-cli)
- [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-cli)
- [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fcli)
- GitHub Teams:
    - [@kubernetes/sig-cli-api-reviews](https://github.com/orgs/kubernetes/teams/sig-cli-api-reviews) - API Changes and Reviews
    - [@kubernetes/sig-cli-bugs](https://github.com/orgs/kubernetes/teams/sig-cli-bugs) - Bug Triage and Troubleshooting
    - [@kubernetes/sig-cli-feature-requests](https://github.com/orgs/kubernetes/teams/sig-cli-feature-requests) - Feature Requests
    - [@kubernetes/sig-cli-maintainers](https://github.com/orgs/kubernetes/teams/sig-cli-maintainers) - CLI Maintainers
    - [@kubernetes/sig-cli-misc](https://github.com/orgs/kubernetes/teams/sig-cli-misc) - General Discussion
    - [@kubernetes/sig-cli-pr-reviews](https://github.com/orgs/kubernetes/teams/sig-cli-pr-reviews) - PR Reviews
    - [@kubernetes/sig-cli-proposals](https://github.com/orgs/kubernetes/teams/sig-cli-proposals) - Design Proposals
    - [@kubernetes/sig-cli-test-failures](https://github.com/orgs/kubernetes/teams/sig-cli-test-failures) - Test Failures and Triage
- Steering Committee Liaison: Paco Xu 徐俊杰 (**[@pacoxu](https://github.com/pacoxu)**)

## Subprojects

The following [subprojects][subproject-definition] are owned by sig-cli:
### cli-experimental
- **Owners:**
  - [kubernetes-sigs/cli-experimental](https://github.com/kubernetes-sigs/cli-experimental/blob/master/OWNERS)
### cli-sdk
- **Owners:**
  - [kubernetes/cli-runtime](https://github.com/kubernetes/cli-runtime/blob/master/OWNERS)
  - [kubernetes/kubernetes/staging/src/k8s.io/cli-runtime](https://github.com/kubernetes/kubernetes/blob/master/staging/src/k8s.io/cli-runtime/OWNERS)
  - [kubernetes/kubernetes/staging/src/k8s.io/sample-cli-plugin](https://github.com/kubernetes/kubernetes/blob/master/staging/src/k8s.io/sample-cli-plugin/OWNERS)
  - [kubernetes/sample-cli-plugin](https://github.com/kubernetes/sample-cli-plugin/blob/master/OWNERS)
### cli-utils
- **Owners:**
  - [kubernetes-sigs/cli-utils](https://github.com/kubernetes-sigs/cli-utils/blob/master/OWNERS)
### krew
Plugin manager for kubectl.
- **Owners:**
  - [kubernetes-sigs/krew](https://github.com/kubernetes-sigs/krew/blob/master/OWNERS)
### krew-index
Centralized plugin index for krew.
- **Owners:**
  - [kubernetes-sigs/krew-index](https://github.com/kubernetes-sigs/krew-index/blob/master/OWNERS)
### krm-functions
- **Owners:**
  - [kubernetes-sigs/krm-functions-registry](https://github.com/kubernetes-sigs/krm-functions-registry/blob/main/OWNERS)
- **Contact:**
  - Slack: [#sig-cli-krm-functions](https://kubernetes.slack.com/messages/sig-cli-krm-functions)
### kubectl
- **Owners:**
  - [kubernetes/kubectl](https://github.com/kubernetes/kubectl/blob/master/OWNERS)
  - [kubernetes/kubernetes/pkg/kubectl](https://github.com/kubernetes/kubernetes/blob/master/pkg/kubectl/OWNERS)
### kubectl-validate
CLI Tool for validating Kubernetes resources from their OpenAPIV3
schemas on client-side aiming for best parity with errors returned
by server. Supports core resources, CRDs, CEL validations, and more!
- **Owners:**
  - [kubernetes-sigs/kubectl-validate](https://github.com/kubernetes-sigs/kubectl-validate/blob/main/OWNERS)
### kui
Hybrid command-line/UI development experience for cloud-native development
- **Owners:**
  - [kubernetes-sigs/kui](https://github.com/kubernetes-sigs/kui/blob/master/OWNERS)
### kustomize
- **Leads:**
  - Yugo Kobayashi (**[@koba1t](https://github.com/koba1t)**), LY Corporation
- **Owners:**
  - [kubernetes-sigs/kustomize](https://github.com/kubernetes-sigs/kustomize/blob/master/OWNERS)
- **Contact:**
  - Slack: [#kustomize](https://kubernetes.slack.com/messages/kustomize)

[subproject-definition]: https://github.com/kubernetes/community/blob/master/governance.md#subprojects
[working-group-definition]: https://github.com/kubernetes/community/blob/master/governance.md#working-groups
<!-- BEGIN CUSTOM CONTENT -->

<!-- END CUSTOM CONTENT -->
