<!---
This is an autogenerated file!

Please do not edit this file directly, but instead make changes to the
sigs.yaml file in the project root.

To understand how this file is generated, see https://git.k8s.io/community/generator/README.md
--->
# K8s Infra Special Interest Group

SIG K8s Infra is interested in the successful migration of ownership and management of all Kubernetes project infrastructure from the google.com GCP Organization (or elsewhere) to the CNCF, such that the Kubernetes project is able to sustainably operate itself without direct assistance from external vendors or entities.
In other words, we seek to eradicate usage of the phrase "oh that's something that only an employee of Vendor X can do, we're blocked until they respond."

The [charter](charter.md) defines the scope and governance of the K8s Infra Special Interest Group.

## Meetings
*Joining the [mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-k8s-infra) for the group will typically add invites for the following meetings to your calendar.*
* Regular SIG Meeting: [Wednesdays at 20:00 UTC](https://zoom.us/j/93109963352?pwd=SHJTcFR2bVg1akYxSDREUWQzaldrQT09) (bi-weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=20:00&tz=UTC).
  * [Meeting notes and Agenda](http://bit.ly/sig-k8s-infra-notes).
  * [Meeting recordings](http://bit.ly/sig-k8s-infra-playlist).

## Leadership

### Chairs
The Chairs of the SIG run operations and processes governing the SIG.

* Arnaud Meukam (**[@ameukam](https://github.com/ameukam)**), VMware
* Davanum Srinivas (**[@dims](https://github.com/dims)**), Amazon

### Technical Leads
The Technical Leads of the SIG establish new subprojects, decommission existing
subprojects, and resolve cross-subproject technical issues and decisions.

* Benjamin Elder (**[@BenTheElder](https://github.com/BenTheElder)**), Google
* Arnaud Meukam (**[@ameukam](https://github.com/ameukam)**), VMware
* Mahamed Ali (**[@upodroid](https://github.com/upodroid)**), Cisco

## Emeritus Leads

* Bart Smykla (**[@bartsmykla](https://github.com/bartsmykla)**)
* Aaron Crickenberger (**[@spiffxp](https://github.com/spiffxp)**)
* Tim Hockin (**[@thockin](https://github.com/thockin)**)

## Contact
- Slack: [#sig-k8s-infra](https://kubernetes.slack.com/messages/sig-k8s-infra)
- [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-k8s-infra)
- [Open Community Issues/PRs](https://github.com/kubernetes/community/labels/sig%2Fk8s-infra)
- GitHub Teams:
    - [@kubernetes/sig-k8s-infra](https://github.com/orgs/kubernetes/teams/sig-k8s-infra) - active contributors in sig-k8s-infra
    - [@kubernetes/sig-k8s-infra-leads](https://github.com/orgs/kubernetes/teams/sig-k8s-infra-leads) - sig-k8s-infra chairs and tech leads
- Steering Committee Liaison: Stephen Augustus (**[@justaugustus](https://github.com/justaugustus)**)

## Working Groups

The following [working groups][working-group-definition] are sponsored by sig-k8s-infra:
* [WG LTS](/wg-lts)


## Subprojects

The following [subprojects][subproject-definition] are owned by sig-k8s-infra:
### community-images
kubectl plugin used to highlight images pulled from community-owned registries
- **Owners:**
  - [kubernetes-sigs/community-images](https://github.com/kubernetes-sigs/community-images/blob/main/OWNERS)
- **Contact:**
  - Slack: [#sig-k8s-infra](https://kubernetes.slack.com/messages/sig-k8s-infra)
  - [Mailing List](https://groups.google.com/forum/#!forum/kubernetes-sig-k8s-infra)
### k8s-infra-dns
Code and configuration to manage DNS records for domains owned by the Kubernetes project such as k8s.io and kubernetes.io
- **Owners:**
  - [kubernetes/k8s.io/dns](https://github.com/kubernetes/k8s.io/blob/main/dns/OWNERS)
- **Contact:**
  - Slack: [#sig-k8s-infra](https://kubernetes.slack.com/messages/sig-k8s-infra)
  - [Mailing List](https://groups.google.com/forum/#!forum/kubernetes-sig-k8s-infra)
- **Meetings:**
  - Regular SIG Meeting: [Wednesdays at 20:00 UTC](https://zoom.us/j/93109963352?pwd=SHJTcFR2bVg1akYxSDREUWQzaldrQT09) (bi-weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=20:00&tz=UTC).
    - [Meeting notes and Agenda](http://bit.ly/sig-k8s-infra-notes).
    - [Meeting recordings](http://bit.ly/sig-k8s-infra-playlist).
### k8s-infra-groups
Code and configuration to manage Google Groups for domains owned by the Kubernetes project such kubernetes.io
- **Owners:**
  - [kubernetes/k8s.io/groups](https://github.com/kubernetes/k8s.io/blob/main/groups/OWNERS)
- **Contact:**
  - Slack: [#sig-k8s-infra](https://kubernetes.slack.com/messages/sig-k8s-infra)
  - [Mailing List](https://groups.google.com/forum/#!forum/kubernetes-sig-k8s-infra)
- **Meetings:**
  - Regular SIG Meeting: [Wednesdays at 20:00 UTC](https://zoom.us/j/93109963352?pwd=SHJTcFR2bVg1akYxSDREUWQzaldrQT09) (bi-weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=20:00&tz=UTC).
    - [Meeting notes and Agenda](http://bit.ly/sig-k8s-infra-notes).
    - [Meeting recordings](http://bit.ly/sig-k8s-infra-playlist).
### k8s.io
Code and configuration to manage Kubernetes project infrastructure, including various *.k8s.io sites
- **Owners:**
  - [kubernetes/k8s.io](https://github.com/kubernetes/k8s.io/blob/main/OWNERS)
- **Contact:**
  - Slack: [#sig-k8s-infra](https://kubernetes.slack.com/messages/sig-k8s-infra)
  - [Mailing List](https://groups.google.com/forum/#!forum/kubernetes-sig-k8s-infra)
- **Meetings:**
  - Regular SIG Meeting: [Wednesdays at 20:00 UTC](https://zoom.us/j/93109963352?pwd=SHJTcFR2bVg1akYxSDREUWQzaldrQT09) (bi-weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=20:00&tz=UTC).
    - [Meeting notes and Agenda](http://bit.ly/sig-k8s-infra-notes).
    - [Meeting recordings](http://bit.ly/sig-k8s-infra-playlist).
### porche
A custom HTTP redirector serving Kubernetes binaries from existing vendor supported and approved storage services.
- **Owners:**
  - [kubernetes-sigs/porche](https://github.com/kubernetes-sigs/porche/blob/main/OWNERS)
- **Contact:**
  - Slack: [#sig-k8s-infra](https://kubernetes.slack.com/messages/sig-k8s-infra)
  - [Mailing List](https://groups.google.com/forum/#!forum/kubernetes-sig-k8s-infra)
- **Meetings:**
  - Regular SIG Meeting: [Wednesdays at 20:00 UTC](https://zoom.us/j/93109963352?pwd=SHJTcFR2bVg1akYxSDREUWQzaldrQT09) (bi-weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=20:00&tz=UTC).
    - [Meeting notes and Agenda](http://bit.ly/sig-k8s-infra-notes).
    - [Meeting recordings](http://bit.ly/sig-k8s-infra-playlist).
### registry.k8s.io
A custom HTTP redirector serving Kubernetes container image blobs from existing vendor supported container registries.
- **Owners:**
  - [kubernetes/registry.k8s.io](https://github.com/kubernetes/registry.k8s.io/blob/main/OWNERS)
- **Contact:**
  - Slack: [#sig-k8s-infra](https://kubernetes.slack.com/messages/sig-k8s-infra)
  - [Mailing List](https://groups.google.com/forum/#!forum/kubernetes-sig-k8s-infra)
- **Meetings:**
  - Regular SIG Meeting: [Wednesdays at 20:00 UTC](https://zoom.us/j/93109963352?pwd=SHJTcFR2bVg1akYxSDREUWQzaldrQT09) (bi-weekly). [Convert to your timezone](http://www.thetimezoneconverter.com/?t=20:00&tz=UTC).
    - [Meeting notes and Agenda](http://bit.ly/sig-k8s-infra-notes).
    - [Meeting recordings](http://bit.ly/sig-k8s-infra-playlist).

[subproject-definition]: https://github.com/kubernetes/community/blob/master/governance.md#subprojects
[working-group-definition]: https://github.com/kubernetes/community/blob/master/governance.md#working-groups
<!-- BEGIN CUSTOM CONTENT -->

<!-- END CUSTOM CONTENT -->
