
## December 14, 2021 - [Async meeting via Slack](https://kubernetes.slack.com/archives/C2C40FMNF/p1639493266140100)

**Topics [timebox to 20 min]:**



* [Rey] [Release team selection process](https://kubernetes.slack.com/archives/C2C40FMNF/p1639493281140400) - [GH discussion](https://github.com/kubernetes/sig-release/discussions/1714)
    * Common themes as highlighted by James:
        * Reduce the volume of shadows by attaching additional criteria, e.g., "need at least one contribution already".
        * Implement a long-term application tracking process, and reach out to repeat applicants in some way.
        * Maintain a stable release team "roster" from which release teams are built. Select fewer shadows to compliment "roster" folk each cycle, and give shadows the chance to join the "roster" after one or two cycles.
        * Proactively increase diversity in applications, e.g., outreach, refine role handbooks, publicize success stories.
        * Add video call interviews for shadow applicants.


## November 30, 2021 (recording)

**Host:** Sascha Grunert

**Attendees (pronouns):**



* Nabarun Pal (he/him)
* Rey Lejano (he/him)
* James Laverack (he/him)
* Meha Bhalodiya (she/her)
* Jim Angel (he/him)
* Adolfo García Veytia (he/him/él)
* Verónica López (she/her)

**Note Taker:**



* Rey Lejano

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * [Adolfo] Not many changes recently, last big one is SPDX licensing and moving BOM to its own repo. We ran first release pulling from that repo, things are going well.
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
        * [Rey] Release 1.23 status
            * Currently we have a failing job, gce-cos-k8s-beta-default in sig-release-1.23-blocking. An [issue](https://github.com/kubernetes/kubernetes/issues/106694) is open and an open [PR in k/test-infra](https://github.com/kubernetes/test-infra/pull/24490)
* Roadmap and Vision update:  \
[https://groups.google.com/g/kubernetes-dev/c/0vagxffQ6j4/m/s65AfYNFBgAJ](https://groups.google.com/g/kubernetes-dev/c/0vagxffQ6j4/m/s65AfYNFBgAJ)
    * SLSA compliance: [https://github.com/kubernetes/enhancements/pull/3051](https://github.com/kubernetes/enhancements/pull/3051)
    * Signing release artifacts: [https://github.com/kubernetes/enhancements/pull/3061](https://github.com/kubernetes/enhancements/pull/3061)
    * [Sascha] Goal is to merge both KEPs before Christmas, encourage reviews and need support from the whole SIG. Next goal is to integrate signing of release artifacts, not completely clear how we will do that, we will experiment with container image signing
    * [Adolfo] SLSA KEP received comments from Tim and will look and address. Lagging a little behind with signing artifacts since the initial technologies that were initially talked about are no longer in use
    * [Veronica] Familiar with SLSA compliance framework, not sure where this is at, at this point, does the main effort on SIG Release? 
        * [Adolfo] After a few discussions and trials in code, suggesting as a SIG to use cosign and implement SLSA framework. Have had discussions and see consensus see most momentum with cosign and SLSA. The KEPs are open for comments and suggestions. This is a decision which technologies to use and framework we’re adopting. As a SIG we’ll own the implementation.
        * [Sascha] SIG Release is main owner, maybe SIG Testing with technical details
        * [Adolfo] Asked feedback from SIG Security but SIG Release will be driving the KEPs
        * [Sascha] We can carve out follow-ups to the KEPs
        * [James] Asking for a call to action
        * [Sascha] First thing is to merge KEPs 
* [Marko, Nabarun, Adolfo] 1.23 merges + cherry picks
    * [Adolfo] Background, before 1.19 to make branches even, a release manager would do a ff. In 1.19 a decision was made to stop doing ff when PRs didn’t have proper checks and milestones. So in 1.19 we require PR authors to file a cherry-pick besides their feature PR. Today when submitting a PR, submit a cherry-pick to the release branch e.g. release-1.23. The decision was not well communicated. For 1.21 and 1.22, people did not know this process existed. We expect PR authors to follow with cherry-picks, even now in 1.23 we see some confusion. 
    * [Veronica] Saw that 1.21 and 1.22, people were unaware of the change. This topic was set for a bigger discussion. We would like some input from the release team
    * [Nabarun] Just checked the master branch, there were 3 PRs merged, we can do the cherry-picks ourselves for 1.23 as we did this for 1.22 and 1.21.
    * [James] What’s the history
    * [Sascha] We want to reduce tooling effort, minimize time between Code Freeze and Thaw (down to 2 weeks), and create branch with RC. Benefits is a short period where k/k master is frozen. Same process as cherry-picking to a release-branch for a patch release. With FFs we have to maintain tools and documentation. For now, we can watch the master branch merges and we can ask PR authors to make cherry-pick PRs or we make them manually.
    * [James] Are we trying to reducing Code Freeze more?
    * [Sascha] Idea is not to block the master branch, PR authors would have to cherry-pick
    * [Adolfo] In 1.22, when some objections were raised about the cherry-pick requirements, Adolfo looked at the history of the decision and sent an email to the community \
[https://groups.google.com/g/kubernetes-dev/c/NiKByLbWZ1g/m/GYhi_Ip3BAAJ](https://groups.google.com/g/kubernetes-dev/c/NiKByLbWZ1g/m/GYhi_Ip3BAAJ)
    * [Adolfo] For 1.24, we should establish a roadmap. It’s not currently in the Branch Manager handbook
    * [Veronica] Should we continue with cherry-picking?
    * [Marko] Discussion with Jordan, cherry-picking is a manual step and can be forgotten.
    * [Sascha] Doing cherry-picks is more manual process
    * [Sacha] For now, we can’t change the process, we can write another summary to k-dev and sig-release and the Branch Managers are watching what is merged to master branch and PR authors should make a corresponding cherry-pick PR
* Publishing bot issue: [https://github.com/kubernetes/release/issues/2337](https://github.com/kubernetes/release/issues/2337)
    * [Marko] Tags are missing for 1.23.0-beta.0 and 1.23.0-rc.0. Publishing bot failed to add new tag. Reason is that the master branch for staging repos like kubectl/client-go is missing a commit. Publishing bot does not know how to handle the tree when we build when we push the release. In June, we changed the process and don’t rebase instead we do merge commits. Others (Dims, Nikhita, et. al.) are trying to fix this and trying to push the missing commits. They suggest to us that we should look at the process with merge commits.
    * [Sascha] Don’t understand what caused the missing commit. Any issues with the release? Did we have to retry?
    * [Marko] Not sure and have to check
    * [Adolfo] Why did it happen on the beta release?
    * [Marko] We probably had many commits and it triggered this behavior, we can investigate more
    * [Nabarun] When the publishing bot runs, it found commit from where 2 different branches forked. We’re not using the parent master as the parent. When we push our changes, instead of pushing to master, we can raise a PR so it goes through usual work flow. So it has the right parent commit and the publishing bot has the right parent commit.
    * [Sascha] Agree that the publishing bot doesn’t see the right parent commit, creating a PR is a good process. The release tag should land on master after the release is done
    * [Marko] We shouldn’t have a problem with release branches, master is an issue since we do multiple releases with multiple patch releases. The PR idea is a probably a good one
    * [Sascha] Let’s follow up on the issue

**Walk the Board [timebox to 20 min]:**



* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
* Incoming issue and PR triage
    * [SIG Release issues needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [SIG Release PRs needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [Kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease)

** \
Open Discussion [timebox to 5 min]**



* (feel free to add any topics you’d like to discuss, even when they came up during the meeting)


## November 02, 2021 (recording)

**Host: Jeremy Rickard**

**Attendees (pronouns):**



* Sascha Grunert (he/him)
* Rey Lejano (he/him)
* Verónica López (she/her)
* Nabarun Pal (he/him)
* Priyanka Saggu (she/her)
* Eddie Zaneski (he/him)

**Note Taker:**



* Rey Lejano

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * Release Cut Today
            * Jim will be doing it
            * Adolfo did a PR for access
            * Will start soonish
            * CI Signal looks _ok_ could be better but OK for cutting
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
        * Reminder: 1.23 Mid Cycle Retro Tomorrow During 1.23 RT Meeting
        * Rey will send a k-dev reminder
        * Alpha.4 today, feature blog freeze today
        * Nov 16th - code freeze
        * 
* Release team selection process [GitHub Discussion 1714](https://github.com/kubernetes/sig-release/discussions/1714)
    * Should have a few actionable items 
    * Summarize high level points in the discussion and send to the SIG Release mailing list
* Mid-cycle shadow surveys
    * About 50% shadows completed the survey
    * Will add several relevant topics to the release retro
* (feel free to add any topics you’d like to discuss as part of the agenda)

**Walk the Board [timebox to 20 min]:**



* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
* Incoming issue and PR triage
    * [SIG Release issues needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [SIG Release PRs needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [Kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease)

** \
Open Discussion [timebox to 5 min]**



* (feel free to add any topics you’d like to discuss, even when they came up during the meeting)


## October 19, 2021 (recording)

**Host: **Adolfo García Veytia (@puerco)

**Attendees (pronouns):**



* Rey Lejano (he/him)
* Shivanshu Raj Shrivastava (he/him)
* Marko Mudrinić (he/him)
* Arsh Sharma (he/him)
* Nabarun Pal (he/him)
* Pravar Agrawal (he/him)
* Eddie Zaneski (he/him)
* Joseph Sandoval (he/him/él)
* Sascha Grunert (he/him)
* Meha Bhalodiya (she/her)

**Note Taker:**



* 

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * [Adolfo] Pushing release process to be SLSA compliant to make supply chain more secure. Currently under testing to be SLSA level 0. Can build proper technical documentation, no changes or features. Kicking off this week new KEPs, one KEP to discuss implement changes for SLSA
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
        * [Rey] Upcoming milestones
            * First retro is coming up on Nov 3
            * Feature blog freeze Nov 2
            * 1.23.0-alpha.4 scheduled to be cut on Nov 2
            * Code Freeze starts Nov 16
            * 1.23.0-beta.0 scheduled to be cut on Nov 17
            * Docs Placeholder PR deadline on Nov 18
* CI Signal Report tool repo migration [@arsh]
    * Slack thread - [https://kubernetes.slack.com/archives/C2C40FMNF/p1634138505387200?thread_ts=1622718810.193000&cid=C2C40FMNF](https://kubernetes.slack.com/archives/C2C40FMNF/p1634138505387200?thread_ts=1622718810.193000&cid=C2C40FMNF)
    * [https://github.com/kubernetes/org/issues/3044](https://github.com/kubernetes/org/issues/3044)
    * Having functionality built into krel (possibility)
* (feel free to add any topics you’d like to discuss as part of the agenda)

**Walk the Board [timebox to 20 min]:**



* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
* Incoming issue and PR triage
    * [SIG Release issues needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [SIG Release PRs needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [Kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease)

** \
Open Discussion [timebox to 5 min]**



* Discussion around improving the shadow selection process: \
[https://github.com/kubernetes/sig-release/discussions/1714](https://github.com/kubernetes/sig-release/discussions/1714)
    * Need to dig into surveys
    * Define a clear path and expectation for release team members
    * Attract more diversity
        * Make space inclusivity explicitly inclusive
* Future possibilities around the SBOM tool (Adolfo)
    * [Adolfo] Approached by Open SSF and proposed to host tool with them
    * [Adolfo] LF has SBOM generator that overlaps with our tool, talk to merge with LF tool and SPDX libraries. But also talks that LF should not have a tool and should have a standard
    * [Adolfo] Presenting the tool in early Nov to Open SSF
    * [Adolfo] Our tool only analyzes Go, LF’s tool can analyze 17 languages
* Discussion on optimal start of enhancements freeze [https://github.com/kubernetes/sig-release/discussions/1680](https://github.com/kubernetes/sig-release/discussions/1680)
* Discussion on optimal length of code freeze [https://github.com/kubernetes/sig-release/discussions/1674](https://github.com/kubernetes/sig-release/discussions/1674)
* KEP stages and transitions [https://github.com/kubernetes/enhancements/issues/2960](https://github.com/kubernetes/enhancements/issues/2960)


## October 5th, 2021

**Host:** Jeremy Rickard

**Attendees (pronouns):**



* Rey Lejano (he/him)
* Arsh Sharma (he/him)
* Joseph Sandoval (he/him)
* Sascha Grunert (he/him)
* Nabarun Pal (he/him)
* Appu Goundan (he/him)
* Stephen Augustus (he/him)
* Chun Wu (he/him)
* Pravar (he/him)

**Note Taker: **Joseph Sandoval

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees:
    * Appu Goundan (loosebazooka)/Google software supply security.
        * Works on building audit trails with build and releases. 
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30)): (Adolfo) Push 1st stage of SLSA compliance. The goal is to get the release process compliant. Switch from staging to release there is provenance. For reference: [slsa-framework](https://github.com/slsa-framework/slsa). Investigation into ways to add the metadata into the container releases. 
        * PR for stage SLSA provenance metadata [https://github.com/kubernetes/release/pull/2273](https://github.com/kubernetes/release/pull/2273) 
        * SLSA Level 1 umbrella issue:

            [https://github.com/kubernetes/release/issues/2267](https://github.com/kubernetes/release/issues/2267)

    * (Stephen) Image promotion might be broken. Will investigate after the meeting.
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29)): (Rey)Week 7 of the release cycle. 1.23 has a 12/7 target. Holiday season is upon us and we have milestones to work around those dates. Open PR’s for handbooks and Rey will be tagging for reviews.  (Stephen) GH discussion around the release team altogether and the selection process. [https://github.com/kubernetes/sig-release/discussions/1714](https://github.com/kubernetes/sig-release/discussions/1714)
    * Upcoming mid-cycle release team retro coming up shortly. 
* Follow up to Releasing and versioning kubectl independently
    * Discuss what coordination is needed
        * Discuss where things will go
        * Who will have access to repos
    * Draw inspiration from Kops?
    * Kubeadm issue: [https://github.com/kubernetes/enhancements/issues/1424](https://github.com/kubernetes/enhancements/issues/1424) (Nabarun) How do we build Kubeadm after it's out of tree? How do we know how to build the binary? Small KEP to move out code generator ([https://github.com/kubernetes/enhancements/pull/1252/files](https://github.com/kubernetes/enhancements/pull/1252/files)) . It raised the issue “what is versioning schema?”. Now if they move to a new tagging schema. ([https://docs.google.com/presentation/d/1Utf8NgLZTrS8FmVoU6dZN3siewjGOwvTmFcsJ6vgQLI/edit#slide=id.p](https://docs.google.com/presentation/d/1Utf8NgLZTrS8FmVoU6dZN3siewjGOwvTmFcsJ6vgQLI/edit#slide=id.p))  Currently we have our own shell scripts and localized knowledge of the process. Move out the business logic but leave the entry point. Will that be ok? We move all traces of source code. What version, how do want to build? After Kubectl then expect Kubeadm to be next. How do we ensure the bump we do passes all the tests? How do we run the tests?
    * [Stephen] Probably time to make decisions about path we go. One state could be a build system where we input shas and that is your release. Should think about the value of only partially removing (i.e. leaving cmd/ in k/k?).
    * [Stephen] What do we do for last mile of the release - binaries we are producing don’t require container images, but require debs/RPMs (kubectl and kubeadm), which means they need to be in the same spot-ish or play nicely with packaging tools. Not difficult, just pointing to multiple repos. 
    * [Stephen] versioning - probably easiest to break away from k/k versioning. Look at cluster autoscaler azure?
    * [Stephen] then the question: how do we build it. Each repo could have own build scripts, but things should get to same place via artifact promo or into same staging bucket. Who is in control - is it shared? We don’t want to own repos we don’t need to. Where build happens should be toward portion we control. Cri tools/etcd/cni plugins => examples where repo external to project but we consume staged artifacts and control to make sure build is promoted, maintaining that pattern seems reasonable. Prow has support for skew testing already, we can work matrix
    * [Nabarun] Q: SIG owns code, do we own build scripts or do we own a contract they follow?
    * [Stephen] We own contracts - produce artifacts, outside of pre-submits should have CI jobs running that represent the expected state (e.g. expected state is to be in a bucket and test should see if it’s in a bucket)
    * [Nabarun] Eventually we won’t have the code (for kubectl)
    * [Stephen] We ensure the artifact ends up somewhere (e.g. in a bucket) and a subsequent part of release that picks it up from a staging bucket to a production bucket. We remove the need to vendor it in the core code. Only care that the artifacts get to where they need to. Today there is no explicit requirement for kubectl to be released when core components are released.
    * [Stephen] Better that out-of-tree components don’t follow release cadence
    * [Nabarun] Will SIG Release help them or how do they get help from us
    * [Stephen] Artifact promotion - [https://github.com/kubernetes/k8s.io/tree/main/artifacts](https://github.com/kubernetes/k8s.io/tree/main/artifacts). This link should be enough for people to start on artifact promotion - used by kops
    * [Jeremy] Good opportunity to help SIG CLI and volunteer to help
    * [Stephen] Give cleanup of file promotion bits around validation to Jeremy from Adolfo
    * [Stephen] Would like to get some baseline validation in, start with repos that we co-own. Would like to prove the process with cri tools and cni plugins (had issues defining their release process) and pull releases and move to staging buckets and issue promotion PRs like how we do for krel promote-images. As we prove this out for repos that we need for the release, then roll out to others
    * [Stephen] As we’re heading to KubeCon, next release engineering meeting is cancelled. Nabarun is sort-of point for kubectl out-of-tree and suggest to take notes to Q & A, and we can build a timeline.
    * [Nabarun] We will start a kep on this and formalize thoughts. Lubomir also had thoughts because kubeadm is also up to be moved out-of-tree.
    * [Stephen] We should do one first (kubectl) and apply practices to the next one (kubeadm)
    * [Stephen] Suggest to publish Q & A before the kep and use it for the kep
* [Adolfo] Release cherry-pick deadline falls in KubeCon week, should we send advance notice or move it
* [Jeremy] Bump it for a week and send notice


## September 21st, 2021 [Recording](https://www.youtube.com/watch?v=iFImVu-QvUc&list=PL69nYSiGNLP3QKkOsDsO6A0Y1rhgP84iZ&index=2)

**Host: **Jeremy Rickard

**Attendees (pronouns):**



* Rey Lejano (he/him)
* James Laverack (he/him)
* Maciej Szulik (he/him)
* Taylor Dolezal (he/him)
* Max Körbächer (he/him)
* Joseph Sandoval (he/him/él)
* Chun Wu (he/him)
* Mostafa Elmenbawy (he/him)
* Bhargav Krishna (he/him)
* Pravar Agrawal (he/him)

**Note Taker:**



* Rey Lejano

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
    * Bhargav Krishna, joined yesterday
    * Chun from Apple, applied to be a shadow but was not selected
    * Maciej, SIG Apps and SIG CLI lead, works at Red Hat works in CLI and controllers
    * Pravar works at IBM in India started to make contributions to SIG Scheduling and scheduling code
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
        * [Rey] Week 5 of the release, 57 enhancements with 2 approved exceptions
            * Call for feature blogs and state of release sent
            * No milestones in Sept/Oct, quiet period
            * Many milestones close to holidays in November
* [eddiezane, soltysh] Releasing and versioning kubectl independently
    * [Maciej] Short idea, we’ve had staging for a long time, kubectl and is one of the projects/subprojects interested in being part of a separate repo and they are already syncing the code and the last bit is figuring out how to release kubectl outside of k8s, the goal is to release kubectl faster than k8s. The first goal is to align them and make the kubectl release go faster.
    * [Jeremy] We haven’t done anything outside of k/k in terms of the core artifacts. This is an area to collaborate.
    * [Maciej] For a period of time, may have to release kubectl artifacts in k/k and in their own repo
    * [Maciej] Already have a KEP to move kubectl related code to staging, either update this KEP or create a follow-up KEP. Is releasing in a separate repo an issue?
    * [Jeremy] We need to follow-up on this, is there a GH issue
    * [https://github.com/kubernetes/enhancements/issues/1020](https://github.com/kubernetes/enhancements/issues/1020) (old KEP)
    * [https://github.com/kubernetes/enhancements/tree/master/keps/sig-cli/1020-kubectl-staging](https://github.com/kubernetes/enhancements/tree/master/keps/sig-cli/1020-kubectl-staging) (KEP)
    * [Maciej] Since KEP only talks about a move to staging, have to create a follow-up on moving to another repo. Will sync with Eddie to create the enhancement issue and start to sketch out the follow-up KEP
* [James Laverack] Release team selection improvements for future releases.
    * [James] Start a conversation before the start of 1.24, we’re outgrowing the existing shadow mentoring process. It’s a victim of its own success, had ~185 shadow applications, and have ~24-30 spots. Need to provide more consistency to have people come back more consistent, and have a better process to apply. Max has a diagram of an idea
    * [Jeremy] Worth re-visiting this and make improvements. It’s difficult for applicants who applied multiple times. We talked about this in the 1.22 retro part 2, first start a GH discussion in the SIG Release repo and start collecting thoughts and diagrams like the one Max made. We can start there, start with the known state and work in the open. Don’t have good suggestions on what it should look like. Applications will continue to grow. Once concern, is we don’t get the long term succession planning out of it like we had in the past. For 1.23 we had challenges to get role leads staffed. We need a better way to back-fill. Like we got Karen Chu who was a previous lead, we need to identify better reach-back policy.
    * [Taylor] There’s some merit, in the rejection letters it gives people opportunities to jump into things in the projects so we may be able to reach out to SIG leads if they’re looking for someone
    * [Joseph] It’s a good problem we had, maybe SIG Contribex can help with this, is there a way to channel energy from the release team to other places. Some people need more than bread crumbs.
    * [Taylor] There’s an issue from onboarding and something comes up like burnout or something else comes up. 
    * [Veronica] One of the reasons is lack of processes or lack of robust documentation, can see new people come in, it’s hard to start working in this project who is new. In all areas of SIG Release, documentation can be better. Do an iterative process of people who are shadows can leave documentation in a better state, document own process on how they learned things
    * [Taylor] Maybe have documentation in easy-to-ingest format like Google slides
    * [Jeremy] Couple of parallel issues: selection process and onboarding/training/documentation available. Worth starting a GH issue and make some concrete action items / selection process 
    * [AI - James] To start with a GH issue about selection process (EDIT: GitHub discussion opened [https://github.com/kubernetes/sig-release/discussions/1714](https://github.com/kubernetes/sig-release/discussions/1714))
    * [AI - Jeremy] To start with a GH issue about documentation/onboarding/training and work with Rey and Veronica
* [Taylor Dolezal] Zoom/Splain/YouTube integration is back on track! 
    * Meetings will now upload to YouTube, but do require setting live and adding to the SIG Release playlist (which I or the YouTube admins can assist with).
    * Currently working through the SIG Release backlog of uploads.
    * [Taylor] Issue with recorded meetings weren’t not pushed to Youtube, the integration used is called Splain. Integration setup was fine, what changed is when we changed to GSuite email address, so needed to remove integration and re-create integration. Does not associate the video to a playlist and integration sets the video to private. After meetings Taylor can set the video to public and put the video in the right playlist manually

**Walk the Board [timebox to 20 min]:**



* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
* Incoming issue and PR triage
    * [SIG Release issues needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [SIG Release PRs needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [Kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease)

** \
Open Discussion [timebox to 5 min]**



* (feel free to add any topics you’d like to discuss, even when they came up during the meeting)


## September 7th, 2021 

**Host:  **Jeremy Rickard (he/him)

**Attendees (pronouns)**



* Sascha Grunert (he/him)
* Rey Lejano (he/him)
* Marko Mudrinić (he/him)
* Anubhav Joshi (he/him)
* Subhrodip Mohanta (he/him/his)
* Debabrata(he/him)
* Mostafa Elmenbawy (he/him)

**Note Taker:**



* Rey Lejano (he/him)

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * [Sascha] A branch manager for 1.23 will be selected this week
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
        * [Rey] Enhancements Freeze is Thursday
            * 66 enhancements opt-in 
            * Few days left, final reminder out today
        * [Rey] Shadow onboarding almost done for group membership
        * [Jeremy] Shadow orientation will be scheduled this week
* Release Retro Part 3 [Guin]
    * [https://docs.google.com/document/d/1deFXjK07TyGFds1wk2LjkRanqpjoGVmTFqmwTUgsSEM/edit#heading=h.ukbaidczvy3r](https://docs.google.com/document/d/1deFXjK07TyGFds1wk2LjkRanqpjoGVmTFqmwTUgsSEM/edit#heading=h.ukbaidczvy3r)
    * 
* [James Laverack] Release team selection improvements for future releases.
* Discussion Topics:
    * Add topics
* (feel free to add any topics you’d like to discuss as part of the agenda)

**Walk the Board [timebox to 20 min]:**



* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
* Incoming issue and PR triage
    * [SIG Release issues needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [SIG Release PRs needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [Kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease)

** \
Open Discussion [timebox to 5 min]**



* (feel free to add any topics you’d like to discuss, even when they came up during the meeting)
* 


## August 24th, 2021 

**Host: **Jeremy Rickard (he/him)

**Attendees (pronouns)**



* Sascha Grunert** **(he/him)
* James Laverack (he/him)
* Nabarun Pal (he/him)
* Marko Mudrinić (he/him)
* Adolfo García Veytia (he/him)
* Savitha Raghunathan (she/her)
* Rey Lejano (he/him)
* Kunal Verma (he/him)
* Arnaud Meukam (he/him)
* Mritunjay Sharma(he/him)
* Jesse Butler (he/him)
* Joseph Sandoval(he/him/él)

**Note Taker:**



* Rey Lejano

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * [Adolfo] Start to plan around 1.23, discussions with LF and SPDX about the future of the tools. Some folks from LF and SPDX team will get together this week to find common ground
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
* Retro Part 2 [Guin]
    * Retro document: [https://docs.google.com/document/d/1deFXjK07TyGFds1wk2LjkRanqpjoGVmTFqmwTUgsSEM/edit](https://docs.google.com/document/d/1deFXjK07TyGFds1wk2LjkRanqpjoGVmTFqmwTUgsSEM/edit)
    * 
    * 
* [James Laverack] Release team selection improvements for future releases.
* [Rey] Release 1.23 has started, call for enhancements email went out. Upcoming dates:
    * PRR questionnaire deadline is on Sept 2
    * Enhancements freeze starts on Sept 9 at 23:59 PDT
    * Call for exceptions and code freeze warning goes out on Nov 7
    * Code freeze starts on Nov 16 at 18:00 PST (*DST ends on Nov 7)
    * Started a [GH discussion on when is the optimal start of Enhancements Freeze](https://github.com/kubernetes/sig-release/discussions/1680)
* Discussion Topics:
    * Optimal Code Freeze Length: [https://github.com/kubernetes/sig-release/discussions/1674](https://github.com/kubernetes/sig-release/discussions/1674)
    * Optimal Enhancement Freeze Start: [https://github.com/kubernetes/sig-release/discussions/1680](https://github.com/kubernetes/sig-release/discussions/1680)
* Roadmap and Vision
    * [https://github.com/kubernetes/sig-release/blob/master/roadmap.md](https://github.com/kubernetes/sig-release/blob/master/roadmap.md)
    * What do we want / need to accomplish in 1.23 
* (feel free to add any topics you’d like to discuss as part of the agenda)

**Walk the Board [timebox to 20 min]:**



* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
* Incoming issue and PR triage
    * [SIG Release issues needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [SIG Release PRs needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [Kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease)

** \
Open Discussion [timebox to 5 min]**



* (feel free to add any topics you’d like to discuss, even when they came up during the meeting)
* 


## July 27, 2021

**Host:** Jeremy Rickard

**Attendees:**



* Rey Lejano
* Nabarun Pal
* Taylor Dolezal
* James Laverack
* Sascha Grunert

**Note Taker: **Rey Lejano

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
    * Welcome to Rishabh Jain! Worked on local up cluster script to have it work on MacOS
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * [Adolfo] Cherry-picks: master branch & 1.22 branch divergent, in 1.19 stopped fast-forwards and now have any changes in master to cherry-pick in the release branch. There was some confusion and some PR authors are not aware that they should raise to cherry-pick after the PR merged so the master & 1.22 branches diverged. In 1.21, Nabarun filed a chunk of cherry-picks to make sync the branches. Plan to communicate when adding PRs to the 1.22 milestone then file a cherry-pick
        * [Nabarun] For the current set of diffs, should we file cherry-picks on our end since cherry-pick approvers are the release managers themselves as a one-time thing to get the cherry-picks done. 
        * [AI] Nabarun volunteers to file cherry-picks
        * [Adolfo] Yesterday, Nabarun created a diff of commits. Adolfo will link the Slack thread to this agenda. There is a problem re-generating the test jobs when we create a new branch, the test generation scripts are outdated and may have a bug. Aaron C. has cleaned up the script but the script is still buggy. Request for others to take a look.
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
        * 1.23 Release Formation
            * Congrats and thank you to Rey for picking up the 1.23 lead role
            * Jeremy will be EA
            * Looking to fill comms still
                * Reached out to a few people
            * Shadow application is open
                * 21 Responses so far
            * [James] There is a PR in flight to update hours for Enhancements shadows. The 1.23 Enhancments lead, Xander, is aware of this PR \
https://github.com/kubernetes/sig-release/pull/1581
* Recording publish automation
    * Jeremy has been trying to upload videos but it’s not great/efficient
    * We need to reach out to YouTube admins/ContribEx (?) to see if we can get splain configured
    * Probably need zoom creds (Stephen?)
        * [Taylor] Taylor is a YouTube admin, log into YouTube with the creds from Stephen. Splain does break often like have to re-run the webhook, haven’t found an alternative to Splain. 
        * [Jeremy] Jeremy has been downloading/uploading manually
        * [AI] Taylor to connect with Stephen

**Walk the Board [timebox to 20 min]:**



* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
    * [Sascha] Roadmap and Vision needs to be reviewed [https://github.com/kubernetes/sig-release/pull/1529/](https://github.com/kubernetes/sig-release/pull/1529/)
    * [AI] Adolfo and Jeremy to review [PR 1529](https://github.com/kubernetes/sig-release/pull/1529/)
    * [Nabarun] Working on [moving kubeadm out of k/k](https://github.com/kubernetes/enhancements/issues/1424) first working on moving kubectl out of k/k as the pilot project, that is the umbrella issue, there is not separate issue for kubectl out of k/k -- move to 1.23
    * [Jeremy] [Soliciting feedback for release cadence out-of-tree features](https://github.com/kubernetes/sig-release/issues/486), split between Enhancements subproject and release team. Feel free to look into if there is an immediate action needed 
* Incoming issue and PR triage
    * [SIG Release issues needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [SIG Release PRs needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [Kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease)

** \
Open Discussion [timebox to 5 min]**


## July 13, 2021 (recording)

**Host:** Carlos Panato

**Attendees:**



* Rey Lejano
* Sascha Grunert
* Stephen Augustus
* Marko Mudrinić
* Adolfo García Veytia
* Jeremy Rickard
* Chris Negus
* James Laverack
* Joseph Sandoval
* Pushkar Joglekar (PJ)

**Note Taker:**



* Rey Lejano

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
    * PJ is from SIG Security
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * [Adolfo] Main issue going on, seen updates in testing-infra repo but haven’t been able to follow closely
            * [Stephen] Currently in process to move from Google infra to community-owned infra, next thing working on is way we interact with artifacts like version markers (text-based API) that shows where the artifacts are based on the version. In the background, moving from Kubernetes-release-dev bucket (Google owned bucket) to K8s-release-dev bucket which is a community-owned bucket. There are changes from doing the build jobs. Previously had krel CI build jobs and they are running in parallel with new bootstrap jobs. Making sure everything is pointed to new community-owned infra. Cluster API Azure jobs are cleaned up, kops jobs need to be cleaned up
        * [Stephen] go1.16.6 / go1.15.14 security updates
            * Marko on point, Veronica + Mengjia shadowing
            * Slack thread: [https://kubernetes.slack.com/archives/CJH2GBF7Y/p1626164119119300](https://kubernetes.slack.com/archives/CJH2GBF7Y/p1626164119119300)
            * [Stephen] Will cut a release, in the tracking issue Marko to add get people access to repo infra. For 1.19, need to bump repo definitions to point to go sdk versions. We’ll continue to bump repo definitions until it’s phased out
        * [Stephen] Tyler / Linus
            * [Stephen] Tyler is an intern at Google, working on quality of life on image promotion. Tyler removed bazel. Since bazel is gone, Stephen will bring back any promotion based things backed into the repo. Proposed repo name is sigs.k8s.io/kpromo. 
            * [Adolfo] Saw an issue from Linus about improving tools for image promoter. Stephen brought old tools to a legacy folder to check which tools should still be used.
            * [Adolfo] Yesterday, last building PR for bom tool merge, posted in Twitter about artifacts we are producing. Request to review build of materials. \
[https://twitter.com/puerco/status/1414784210800422929](https://twitter.com/puerco/status/1414784210800422929) \
Please comment on the epic if you have any thoughts: \

                * [Stephen] Compare results of tools, find a new name for bom
            * [Stephen] [https://github.blog/2021-06-21-github-packages-container-registry-generally-available/](https://github.blog/2021-06-21-github-packages-container-registry-generally-available/)
                * Potential discussion on where we put artifacts like where we put boms
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
        * Tracking 56 Enhancements post Code Freeze
            * Enhancements: Status Yellow
            * CI Signal: Status Yellow
            * Bug Triage: Status Yellow
            * Docs: Status Red (based on two missing placeholder PRs)
                * Waiting on couple of more placeholder PRs to be opened - [https://kubernetes.slack.com/archives/C2C40FMNF/p1626176987077700](https://kubernetes.slack.com/archives/C2C40FMNF/p1626176987077700)
                * Tracking ~50 docs enhancements: Complete (Merged): 20; Ready For Review 12; No PR (Needs docs) 2; Draft (PR) 16
            * Release Notes: Status Green
            * Comms: Status Green
        * 1.22.0-beta.2 release cut is happening today!
        * Test Freeze - July 15th (This thursday)
    * Release Engineering - patch releases this week -  [https://kubernetes.io/releases/patch-releases/#1-21](https://kubernetes.io/releases/patch-releases/#1-21)
* [PJ] Identify contributor(s) to give a deep dive / code walkthrough about container images in k/k during sig-security-tooling[ subgroup meeting](https://docs.google.com/document/d/1_Rn7S8UPMtXdu6EDl4_L2Ogb433z7hlxPs7El8TfNNg/edit) on 07/20 (8:30-9:15 AM PST)
    * [Stephen] For security related release things, release managers need to be added to the private Slack channel. 
    * [https://github.com/kubernetes/community/pull/5853/files](https://github.com/kubernetes/community/pull/5853/files) 
* [Jeremy] Release Cadence Change blog PR:  [https://github.com/kubernetes/website/pull/28912](https://github.com/kubernetes/website/pull/28912)
* (feel free to add any topics you’d like to discuss as part of the agenda)

**Walk the Board [timebox to 20 min]:**



* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
* Incoming issue and PR triage
    * [SIG Release issues needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [SIG Release PRs needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [Kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease)

** \
Open Discussion [timebox to 5 min]**


## (feel free to add any topics you’d like to discuss, even when they came up during the meeting) \
June 29, 2021 (recording)

**Host:**

**Attendees:**



* Sascha Grunert
* Marko Mudrinić
* 
* Carlos Panato
* Chris Negus
* Derrik Campau
* Supriya Premkumar
* Adolfo García Veytia

**Note Taker:**



* 

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
    * No new members
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * [Carlos] No particular update.
        * [Sascha] No issues encountered during recent releases
        * [Adolfo] Finished writing out all of the bugs that surfaced during the 1.22-beta.0 wrt the SBOM work. Biggest was a problem with versioning with Go packages inside Google Cloud Build. During this week and next week, plan to present the final proposal for the architecture of the SBOM work. Contact Adolfo if you want to help.
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
        * Monday-Wednesday-Thursday burndown meetings have started.
        * Tracking 71 enhancements. 
            * Alpha: 28
            * Beta: 26
            * Stable: 14
            * Deprecation: 3
            * At risk: 43 (code not complete)
        * Call for Exceptions email was sent yesterday
        * Code freeze is on July 8th
        * Tracking [12 feature blogs](http://bit.ly/k8s122-feature-blog). Deprecation announcement discussion is happening here - [https://github.com/kubernetes/sig-release/discussions/1606](https://github.com/kubernetes/sig-release/discussions/1606). Please feel free to add your thoughts.
        * Release docs status: GREEN
            * Integration branch is healthy again, PR that fixes the conflicts and syncs the branch has been merged.
            * There are 42 enhancements that need docs, 11 Drafts, 10 ready for review and 5 merged.
* [Kirsten/Anna/Savitha/Divya]: We’d like to kick off a discussion and gather thoughts: re: exception deadlines. Exceptions can come in at any point after the freeze(specifically enhancements), the release might benefit from adding some more formalized guardrails to the process taking into the consideration of timing, priority and impact of enhancements exceptions that come after the freeze.
    * [Derrik] Concerns around consistency between release teams. This discussion was triggered by a very late exception request in the 1.22 cycle.
    * [Adolfo] Is the problem that things are not well defined?
    * [Derrik] It has knock on effects on teams like enhancements and docs.
    * [James] For enhancements we do a bunch of checks running up to code freeze. A late enhancement misses that. Additionally Is time since the deadline a factor in deciding on an exception request? Would we entertain a request for an enhancements freeze exception the day before code freeze?
    * [Derrik] Community concerns that with a longer release if you miss it, then your work is pushed out quite far (4 months!). Maybe just a perception concern.
    * [Sascha] All exceptions are case-by-case. Will more processes improve things? How long does the release team have to respond to exception requests, should there be an SLA on that?
    * [Adolfo] Where is best to discuss this? Slack? Release retro? GitHub? KEP?
    * [Sascha] Avoid a KEP for now, a lightweight discussion on GitHub is preferable.
* (feel free to add any topics you’d like to discuss as part of the agenda)
* [Chris] We’re pinging enhancements to open docs PRs. Not everyone has done it yet.

**Walk the Board [timebox to 20 min]:**



* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
    * k/k 102822 — assign to Carlos
    * k/sig-release 1595 — assign to Adolfo
    * k/sig-release 486 —
        * [Sascha] Maybe too broad in scope?
        * [Adolfo] Needs to be developed further before we can take a concrete action
    * k/k 72871 — Move to release engineering
    * k/k 72638 —
        * [Adolfo] We should keep an eye on this, but it’s up to each project to work this out. Should we take this on? Can we add a “parked but keep an eye on” column to the SIG Release board?
        * [Sascha] We can put it into the backlog. We’ve triaged it multiple times.
    * k/k 45506 — Probably not relevant for us, assign to Adolfo to take a look later.
    * k/k 49313 — 
        * [Adolfo] We’re more a consumer of those tests and beneficiary of their output. This is more of a SIG testing thing.
        * [Sascha] Agree. Why is it on our (SIG Release) board? Looks like we’re searching for a technical solution, so more of a SIG Testing problem.
        * [Adolfo] Another one to watch and keep track of, but not do anything with. Backlog it for now.
    * k/k 91570 — The issue is closed, so remove it from our board.
    * k/sig-release 1389 — 
        * [Adolfo] This is related to branch protection. No effort around that right now to my knowledge. Already stale too. Removing stale so we can work on this in the future.
* Incoming issue and PR triage
    * [SIG Release issues needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [SIG Release PRs needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [Kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease)

** \
Open Discussion [timebox to 5 min]**



* (feel free to add any topics you’d like to discuss, even when they came up during the meeting)
* Next meeting - [Savitha]: Collaboration between upstream marketing & RT communications. 


## June 15, 2021 (recording)

**Host: **Jeremy Rickard

**Attendees:**



* Stephen Augustus
* James Laverack
* Supriya Premkumar
* Divya mohan
* Carlos Panato
* Joseph Sandoval
* John Gardiner Myers
* Sascha Grunert
* Rajas Kakodkar
* Rey Lejano
* Marko Mudrinić
* Luke Philips
* Adolfo García Veytia
* Savitha Raghunathan

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * Go updates last week (go1.15.13 / go1.16.5) - [https://github.com/kubernetes/release/issues/2107](https://github.com/kubernetes/release/issues/2107)
        * Patch releases for 1.19, 1.20. 1.21
            * [https://github.com/kubernetes/sig-release/issues/1599](https://github.com/kubernetes/sig-release/issues/1599)
            * [https://github.com/kubernetes/sig-release/issues/1598](https://github.com/kubernetes/sig-release/issues/1598)
            * [https://github.com/kubernetes/sig-release/issues/1597](https://github.com/kubernetes/sig-release/issues/1597)
            * [https://github.com/kubernetes/sig-release/issues/1596](https://github.com/kubernetes/sig-release/issues/1596)
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
        * Tracking 70 enhancements so far
        * 1.22.0-alpha.3 released on June 8th
        * Tracking 6 feature blog posts 
        * Code freeze [reminder mail](https://groups.google.com/g/kubernetes-sig-release/c/PgHIKcrxpSg/m/p_OQ2n7tCgAJ) sent out 
        * Most recent CI Signal report (6/7): [https://groups.google.com/g/kubernetes-dev/c/zPySWW09j9I/m/FUXtjwC3AQAJ](https://groups.google.com/g/kubernetes-dev/c/zPySWW09j9I/m/FUXtjwC3AQAJ)
        * 
* Planning the release schedule in advance ([https://github.com/kubernetes/sig-release/discussions/1566](https://github.com/kubernetes/sig-release/discussions/1566))
    * Schedule pretty deterministic per [https://github.com/kubernetes/enhancements/tree/master/keps/sig-release/2572-release-cadence#schedule-policy](https://github.com/kubernetes/enhancements/tree/master/keps/sig-release/2572-release-cadence#schedule-policy)
    * Based on policy, some **planned dates**:
        * 1.23 Begin - Aug 23rd (2 weeks after 1.22)
        * Explicit Break for KubeCon North America (Week 8)
        * 1.23 End - Dec 7 (Week 16)
        * [Stephen] Consider some wiggle room around KubeCon
        * [savitha] some concerns around length of code freeze, etc.
        * [Action Item] Savitha to tighten up code-freeze definition
        * [Action Item] Jeremy and James to draft blog of release changes, this blog will be released outside the release blog process
        * [Sascha] Survey for the release is in progress: \
[https://github.com/kubernetes/sig-release/issues/1526](https://github.com/kubernetes/sig-release/issues/1526) \
Already in surveymonkey, ready for review and feedback.
        * 
    * Present this at community meeting Thursday to get feedback, spread awareness
        * Will also send to sig-release mailing list
        * Possibly open a PR w/ rough begin/end dates
        * RT Lead can fill in the rest of the schedule (freeze dates, etc)
* (feel free to add any topics you’d like to discuss as part of the agenda)
    * [johngmyers] [k8s.io#2046](https://github.com/kubernetes/k8s.io/issues/2046) How do I review an image promotion PR?
        * [John] Been working on kops, need to know how to verify the SHA of the image
        * [Stephen] Tool called CIPMM (container image promoter merge manifest). Need access to staging repositories for kops. First step is to create PR for image build. Triggers Prow job and triggers GCB run and can get SHAs from the logs. Start with the staging repository. Every subproject has a different way to promote images. Release managers can help John out.
        * [stephen] here are the jobs [https://github.com/kubernetes/test-infra/tree/master/config/jobs/image-pushing/releng](https://github.com/kubernetes/test-infra/tree/master/config/jobs/image-pushing/releng)
        * [https://github.com/kubernetes/test-infra/tree/master/images/builder](https://github.com/kubernetes/test-infra/tree/master/images/builder)
        * 

**Walk the Board [timebox to 20 min]:**



* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
    * In-review:
        * Rewrite milestone maintainer (Max) - Carlos to review
        * Add roadmap and vision - Stephen to work on this
    * In-progress:
        * Add Carlos and Adolfo to Tech Leads - May have a PR missing for k/org and needs top level approval for change to owners alias. Need to change the Slack config
        * Developer guide audit - assigned to Savitha
        * pull-kubernetes-e2e-gce is nearing its timeout - On GH, Jeremy asked reviewer to revisit this
    * [Stephen] If we are releasing with blocking jobs consistently failing then we need to demote the jobs to informing. 
    * [Savitha] Max is working on pruning the jobs
    * [Action Item] Marko to get in touch with Max on status of pruning jobs
    * [Stephen] We need to establish a pattern for jobs.
* Incoming issue and PR triage
    * [SIG Release issues needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [SIG Release PRs needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [Kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease)

** \
Open Discussion [timebox to 5 min]**



* (feel free to add any topics you’d like to discuss, even when they came up during the meeting)


## June 1, 2021 (recording)

**Host: **Stephen Augustus

**Attendees:**



* Daman Arora (Release Notes - 1.22 Shadow)
* James Laverack (1.22 Enhancements Lead)
* Derrik Campau (Release Lead - 1.22 Shadow)
* Supriya Premkumar(1.22 Enhancements Shadow)
* Trent Albright
* Chris Negus (Docs - 1.22 Shadow)
* Adolfo García Veytia
* Nabarun Pal
* Christoph Voigt (Bug Triage - 1.22 Shadow)
* Jeremy Rickard 
* Joyce Kung
* Sascha Grunert
* Joseph Sandoval

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
        * docs team is tracking 67 enhancements with 8 drafts, 6 ready for review and 3 PRs merged, integration branch healthy
        * EU/APAC meeting has spun up
        * CI Signal has some red blocking jobs, but PRs have been opened to address most of them
        * Comms yellow, but early still 
        * CI Signal report on k/dev, latest here: [https://groups.google.com/g/kubernetes-dev/c/H03JF6v3nu4/m/wOMbXci0BwAJ](https://groups.google.com/g/kubernetes-dev/c/H03JF6v3nu4/m/wOMbXci0BwAJ)
* Adolfo and Carlos as SIG Release TLs: [https://github.com/kubernetes/community/pull/5807](https://github.com/kubernetes/community/pull/5807)
* Nabarun and Joyce are joining as Release Manager Associates!
    * Joyce and Nabarun joined as RMA last week-ish
    * Nabarun was previously 1.21 lead
    * Joyce has been around release team and is super awesome at reviews
* (feel free to add any topics you’d like to discuss as part of the agenda)

**Walk the Board [timebox to 20 min]:**



* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)  [Move Kubeadm out of K/K #1424](https://github.com/kubernetes/enhancements/issues/1424) @nabarun will try and pick it up before the next meeting.  [Feedback on release cadence for out of tree #486](https://github.com/orgs/kubernetes/projects/23) There are 2 states in-tree and out-of-tree. Release team does not track out-of-tree enhancements. How do we programmatically track scope? How do we bring it into the KEP creation process? Release impacting yes or no? Type of KEP - is it code or policy? Does scope make sense? 
* Incoming issue and PR triage
    * [SIG Release issues needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [SIG Release PRs needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [Kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease)

** \
Open Discussion [timebox to 5 min]**



* (feel free to add any topics you’d like to discuss, even when they came up during the meeting)


## May 18, 2021 (recording)

**Host:** Stephen Augustus

**Attendees:**



* Arsh Sharma
* Divya Mohan (RT Lead Shadow)
* Nabarun Pal
* Subhrodip Mohanta
* James Laverack (1.22 Enhancements Lead)
* Sascha Grunert
* Marko Mudrinić
* Joseph Sandoval
* Grace Nguyen (1.22 Enhancements Shadow)
* Max Körbächer (1.22 CI Signal Lead)
* Joyce Kung
* Chris Negus
* Kunal Kushwaha (1.22 release comms shadow)
* Rajas Kakodkar
*  (1.22 release docs shadow)
* Luke Philips

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
* Subproject updates
    * [Stephen] [https://kubernetes.io/releases/](https://kubernetes.io/releases/) Great work by Jim Angel! FAQ’s about SIG-release as future content. This work gets us closer to that vision of community able to get answers to their questions. [https://github.com/kubernetes/website/pull/27997](https://github.com/kubernetes/website/pull/27997) First release with the patch schedule. (Action) Release managers review the patch schedule. Merge should happen this week. 
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * [Marko] Progress has been made on [SPDX feature ](https://spdx.dev/)([https://github.com/kubernetes/release/pull/2064](https://github.com/kubernetes/release/pull/2064)). Thanks to Adolfo. Check out a demo from last week's SIG-release meeting. Patch releases happened last week. 1.18 is EOL. Veronica will cut 1.22.0 release. [Stephen] Hyperkube is officially deprecated. If you notice documentation referencing it let the release team know. Do we have a KREL BOM? Not yet. There is a standalone BOM utility. [Stephen] Let's make sure we have clarity with our tools and are easily “Googalable”.  There is an [executive order ](https://www.whitehouse.gov/briefing-room/presidential-actions/2021/05/12/executive-order-on-improving-the-nations-cybersecurity/)around SBOM. Is there a way to package all the tools we have? We have requests for binaries. Hesitant until we clean up the repo. Image building is not at a satisfactory state. [https://github.com/google/ko](https://github.com/google/ko) KO is a utility to build container images. It's similar to Build Packs. We have many tools across many files. Looking at how this is shaped. 
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29)) [Divya]
        * Tracking 67 enhancements so far
        * We have gotten 5 exceptions in total
            * 4 approved and tracked
            * 1 under review (Issue: https://github.com/kubernetes/enhancements/issues/2033)
        * Important deadlines:
            * 1.22.0-alpha.2 release cut - May 18th (today)
        * Docs team has started reaching out to enhancements owners
        * CI Signal - L7 GCE Ingress failing causes multiple test to fail: [https://github.com/kubernetes/kubernetes/issues/102006](https://github.com/kubernetes/kubernetes/issues/102006)
* Roadmap and Vision: [https://github.com/kubernetes/sig-release/pull/1529](https://github.com/kubernetes/sig-release/pull/1529) Feel free to do another round of review  [Stephen] This is a culmination from all the feedback to SIG-Release to provide a vision. Goal is to provide a secure release supply chain. How supportable and who is supporting our builds? Dan and Sascha have kicked this work off. There is an image promoter and a staging repository. Part of making artifacts consumable is putting them in a place that is consumable. There is a wider need to make CI more useful to the people testing Kubernetes. Define and collect metrics about the consumables. We need to have data to make assessments to improve. Release cadence survey. Make sure the community is satisfied with what is provided. Simplify the CVE process which depends on the CVE. If it's critical then it needs to happen asap vs low risk. How does the communication happen? Kubetest2 is a replacement for Kubetest. Enhance and simplify version markers. File based api’s to determine where a build is located. Making our work more consumable similar to the release page. Distroless images are now signed by co-sign. Next step is signing our own artifacts. You will continue to hear about software supply chain security. Please add comments to the PR.
* Triage Party: [Arnaud] Will sync with Carlos on the issues. Application issue or missing secret. [Carlos] Will investigate tomorrow morning. Triage Party to be used over WtB. It's important we get this back up and running. All have permissions to work on it. 

**Walk the Board [timebox to 20 min]:**



* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23) [Stephen] Prioritize reviewing the board. 
* Incoming issue and PR triage
    * [SIG Release issues needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [SIG Release PRs needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [Kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease)

** \
Open Discussion [timebox to 5 min]**



* (feel free to add any topics you’d like to discuss, even when they came up during the meeting)


## May 4, 2021 (recording)

_Canceled due to KubeCon Europe_


## April 20, 2021 (recording)

**Host:**  Sascha Grunert

**Attendees:**



* Sascha Grunert
* Jeremy Rickard
* Nabarun Pal
* Marko Mudrinić
* Savitha Raghunathan 
* Joseph Sandoval
* James Laverack
* Derrik Campau
* Dan Mangum
* Luke Philips
* Joyce Kung
* Adolfo García Veytia (2nd half)

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
    * [No new attendees] 
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
    * [Daniel Mangum] 
        * Question from Jeremy: Another 1.18 patch?
        * [https://github.com/kubernetes/sig-release/pull/1523#issuecomment-820719600](https://github.com/kubernetes/sig-release/pull/1523#issuecomment-820719600) 		We will do another patch. [Sascha] We decided to use the mailing list. [Daniel] Release manager and associate call for interest in the role will be announced. 
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
    * Ok
    * [Savitha] Shadow responses have been received. PR’s have been setup. 
    * [Jeremey] Pt 2 of the 1.21 retrospective will be happening today 11am PST. 
    * [Josh Berkus] When does the schedule go up? WIP
* [Release Cadence KEP](https://github.com/kubernetes/enhancements/pull/2567)

    [Jeremy] Will transition to 3 release schedules similar to 2020. Lightweight structure to build schedule out. 15 weeks. Finish by mid-December. Timelines have been proposed for 2021 and 2022. Josh and Jordan have provided input with the last release being 14 weeks. The first release will be in Aprili. 2nd will be August. Last release in mid December. Kubecon has been noted and paused during the event. KEP will be in Alpha during 1.22. The new community meetings will have this KEP presented. Lean heavily on mailing list communication with formal write up. Collect feedback in 1.22-1.25 to gauge how this is going. Didn’t want to make a change during 1.22. 


    [Josh] When do we do the evaluation in the springtime? [Sascha] We will create metrics around the feedback. Josh will follow up on adding to the survey to help capture sentiment. Reach out to CNCF about how to handle the survey. [Josh] The way to reach end users is have CNCF make to market the survey. Also reach out to vendors to reach their users to provide feedback for the survey. Conflicting surveys need to be taken into considering. So plan in advance. Potentially August 2022 but Kubecon will block out all comms for the month. 


    [Jeremy] Collecting end user feedback up to Aug 2022. Then plan for August 2023. [Lauri] When does Kubecon take over the CNCF comms? [Josh] Usually a month out ahead of the event. 


    [Sascha] Approvers please provide your input. 

* [Policy needs](https://docs.google.com/document/d/16BZ1c23u21_L7wbY77vcTilQnYjNLloxLQkGlhDFhQ8/edit#)
    * First up for discussion, delivery: [Policy regarding backports of dependency updates](https://docs.google.com/document/d/1npm6aXRyXIgrgL1SRbFn16GkNGkTH7zWEYy4sO5JccU/edit)
    * [Lauri] We learned alot from the cadence KEP. This list is policy needs that have been needed. Tackling highest impact/needs from this list. Release cadence KEP can be crossed out. How to build artifacts in k/k. Providing an outline to build artifacts. Is that still the goal? What is the core related issue today? There hasn’t been any activity on this question. The policy would be general. SIG-release needs to provide the guidance when the source code is not in k/k. 
    * [Sascha] This could be a starting point on how artifacts get promoted to the release bucket. 
    * [Lauri] We can surface these topics. Can’t prioritize. 
    * [Lauri] [https://github.com/kubernetes/release/issues/1139](https://github.com/kubernetes/release/issues/1139). [Marko] Is there something we can do about this issue? Documentation is needed. [Lauri] Who is needed in this discussion? SIG-testing along with SIG-release. SIG-architecture? What would be the message for them? Are there any restrictions with GO versions? What about SIG-security? [Marko] yes. Also should we ask the GO team? [Sascha] Don’t need to add the GO team. [Lauri] What is the first step?

        [Marko] Draft document and share it. Lauri can kick that off. If we don’t do it the risk is we have no documentation and potentially miss a GO release. 


        [Adolfo] What was missing was the documentation. Following the template ended up needing some help from Carlos. 


        [https://github.com/kubernetes/sig-release/issues/486](https://github.com/kubernetes/sig-release/issues/486) [Marko] Once we solve the Kubeadm issue we can resolve the other issues. [Lauri] What is a good step to take? Review and next meeting  discuss what is being asked of SIG-release. Define lightweight policies will help drive or open more questions with out of tree issues. 


	

**Walk the Board [timebox to 20 min]:**



* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
* Incoming issue and PR triage
    * [SIG Release issues needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [SIG Release PRs needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [Kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease)

** \
Open Discussion [timebox to 5 min]**



* (feel free to add any topics you’d like to discuss, even when they came up during the meeting)


## April 6, 2021 (recording)

**Host:** Sascha Grunert

**Attendees:**



* Sascha Grunert
* Nabarun Pal
* Carlos Panato
* James Laverack
* Joyce Kung
* Daniel Mangum
* Marko Mudrinić
* Jeremy Rickard
* Wilson Husin
* Lauri Apple
* Luke Philips
* Rey Lejano
* Taylor Dolezal

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
    * [No new attendees]
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * [Adolfo] Not much to report. 
        * [Carlos] Working to update Go. We're using 1.15.11 in release-branch 1.19. PRs in place.
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
        * 1.21 Release in 2 days!!!
        * Release Signal was NO-GO in Monday’s burndown
            * Today’s signal analysis is [async](https://kubernetes.slack.com/archives/C2C40FMNF/p1617710535238900)
        * Backup Plan
            * Proactive pushing of release date
            * Options are next week Monday or Tuesday
            * Decision to be taken during today’s Release Signal Analysis
            * [Jeremy/Marko/Taylor] No release Mondays, prefer Tuesday.
        * [CI Signal](https://testgrid.k8s.io/sig-release)
            * Tests are very flaky
            * master-blocking is RED
                * Kind-ipv6-master-parallel is failing [Latest Run](https://prow.k8s.io/view/gs/kubernetes-jenkins/logs/ci-kubernetes-kind-ipv6-e2e-parallel/1379415968295424000)
            * master-informing is RED
                * Gce-master-scale-correctness failed yesterday. Waiting for today’s run.
                * kubeadm-kinder-* jobs failing since a [PR](https://github.com/kubernetes/kubeadm/pull/2412) was merged on k/kubeadm yesterday. Author on it for a fix. Mostly it’s a configuration issue.
                * Windows jobs are in better form after [some fixes](https://kubernetes.slack.com/archives/CJH2GBF7Y/p1617647622287100) went in recently
            * 1.21-blocking is VIOLET
                * Mostly jobs are flaking due to timeouts
            * 1.21-informing is RED
                * Windows jobs are failing
            * [Daniel] kind-ipv6 is notoriously flaky. Do we think it's an actual issue or just a bad run? [Joyce] We think it's a bad run, hard to get a consistent pattern. [Daniel] Most of the errors look like timeouts, maybe we should evaluate if these are a blocking test in the future.
            * Action Item: Daniel to look at kind-ipv6's future inclusion as a blocking job.
        * Bug Triage
            * [Pod timeout flake issue](https://github.com/kubernetes/kubernetes/issues/100047) is open
                * [Discussions](https://kubernetes.slack.com/archives/CN0K3TE2C/p1617296486010200) happening to resolve the release-blocker part of the issue
            * A [bug fix](https://github.com/kubernetes/kubernetes/pull/100694) was filed to resolve an issue due to [a feature merged in 1.](https://github.com/kubernetes/kubernetes/pull/94991)20
                * Open question about it’s severity and whether it can be merged for the .1 patch release
                * [Nabarun] I'll open a Slack thread in #sig-release to discuss async
                * [Daniel] First-look is that it's cloud-provider specific, which changes how we treat it. It feels like something that should be in a patch release, so that a vendor-specific issue doesn't impact the community as a whole (in delaying the release).
        * Release Notes
            * [Major themes](https://github.com/kubernetes/sig-release/pull/1508) to be merged before EOD Tuesday
        * Docs
            * [Integration branch](https://github.com/kubernetes/website/pull/26153) is not healthy 
                * [PR 27432](https://github.com/kubernetes/website/pull/27432) is open to fix the integration branch
            * Reference docs generation is in progress
                * [Rey] Waiting for a k/website tag, some generation will happen on the day.
        * Comms
            * All okay on this front
            * [PSP Deprecation blog](https://github.com/kubernetes/website/pull/27369) is ready to be shipped before the release blog to prevent surprises
            * [Nabarun] Waiting for some CNCF approval for embargoes wrt the deprecation blog.
            * Release blog and feature blogs are ready
        * [Daniel] Is it realistic to release on Thursday? [Jeremy] That is optimistic given this update. We're better off delaying now until Tuesday because of the number of downstream consumers. [Nabarun] +1 for delay now until Tuesday, especially wrt the CNCF comms about the embargo. Looking to make a decision EoD.
        * [Nabarun] If the pod timeout flake is a big issue, maybe email out to the community (dev mailing list) asking for help? Only useful if we have a lot of flakes. [Taylor] It's a good idea, especially giving k-dev a technical breakdown of the issues leading to release delay. [Nabarun] I was thinking of two emails. One to k-dev with a list of flakes, with request for assistance. Second email EoD PT, about the decision to delay or not.
* (feel free to add any topics you’d like to discuss as part of the agenda)

**Walk the Board [timebox to 20 min]:**



* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
    * Skipping #2992, #908 and #2234 because they’ve been triaged in a dedicated session: \
[https://docs.google.com/document/d/1nINF7EEznlhoXDtjHqaMoQUQ71N0Ata2rZD4FDLvKb4/edit#heading=h.fwj4ypzcapo8](https://docs.google.com/document/d/1nINF7EEznlhoXDtjHqaMoQUQ71N0Ata2rZD4FDLvKb4/edit#heading=h.fwj4ypzcapo8)
    * k/k 99427 Adolfo tagged sig-release 28 days ago, he's not fully sure and will ping later about it.
    * k/enhancements 2567 [Sascha] In review [Lauri] what's our timeline? [Sascha] My plan is to have it merged before the 1.21 release. [Lauri] Who's driving that? [Sascha] Lets re-ping Stephen. I should have some time this week otherwise.
    * k/k 96692 Assigned Wilson and Sascha. [Sascha] Wilson has a PR open. Lets move the ticket to "In review"
    * k/release 1139 assigned to Stephen [Lauri] Carlos was going to work on it. [Carlos] Waiting on Stephen to publish the first draft. [Lauri] How long have you been waiting? [Carlos] Early Feb.
    * k/sig-release 734 Assigned Jeremy and Stephen. Neither on the call so leaving for now.
    * k/enhancements 1424 Discussed on another call. [Lauri] Something that needs discussion after 1.21 ships.
    * k/k 74375 [Sascha] Aaron is working on it.
    * k/sig-release 1257 [Marko] Max is working on it. [Sascha] Move it into in-progress
    * k/kubeadm 1599 [Sascha] Question is if we want a test to be release blocking. Some concerns about doing that. Unsure on the decision process and how to move that discussion forward. [Lauri] Are we awaiting evidence? Do we need more research? [Marko] We'll add that label.
    * [Marko] We have eight untriaged issues. [Lauri] We have in-depth triage sessions on Fridays if anyone would like to join for that.
    * k/sig-release 486 [Marko] Last update in 2020. [Lauri] This is more of an 'idea' post, we need to figure out what the 'ask' is and what the action would be. Still important.
    * k/k 74965 [Marko] Assigned to Daniel, from 2019 so quite an old issue.
        * Action item: Marko to ping Daniel about this.
    * k/k 72638 [Marko] Also from 2019, currently frozen. Is there anything we can do? [Sascha] Related to moving kubeadm out of tree, I don't think we can do anything right now.
    * k/k 72638 [Marko] Also from 2019, Stephen asked if it's still relevant.
        * Action item: Marko to follow up about this issue to find out if it's still relevant. 
* Incoming issue and PR triage
    * [SIG Release issues needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [SIG Release PRs needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [Kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease)

** \
Open Discussion [timebox to 5 min]**



* (feel free to add any topics you’d like to discuss, even when they came up during the meeting)


## March 23, 2021 (recording)

**Host:** Sascha Grunert

**Attendees:**



* Sascha Grunert
* Nabarun Pal
* Adolfo García Veytia
* Rey Lejano
* Carlos Panato
* Lauri Apple
* Jeremy Rickard
* Pavel Malinov
* Stephen Augustus
* Wilson Husin
* Luke Philips

** \
Topics [timebox to 20 min]:**



* Welcome any new members or attendees
* Slight agenda update:
    * CI Signal report is now part of the “Release Team” update
    * “Walk the Board” section reordered
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * [Adolfo] Cut last patch releases. Wrote some code to automate the bug publication which wasn’t done in 1.20 release and hit some snags in the patch releases with Go 1.16 automation. Investigated and fixed the building of deb/rpm packages.
        * [Sascha] Link to relevant issue [https://github.com/kubernetes/release/issues/1960](https://github.com/kubernetes/release/issues/1960)
        * [Stephen] More conversations with folks about securing supply chain. One of the groups talked to who worked on SIG Store. Chat with Luke who is a maintainer in the group and who is a PSC member. Look into the tool [Cosign](https://github.com/sigstore/cosign) for container image signing and looking into the signing workflow. Talk to Cosign about importable packages and may build around in krel like a `krel sign` command.(Article for cosign: [https://dlorenc.medium.com/cosign-signed-container-images-c1016862618](https://dlorenc.medium.com/cosign-signed-container-images-c1016862618))
        * [Sascha] Lauri started threads on the release engineering channel [https://kubernetes.slack.com/archives/CJH2GBF7Y/p1616145933069400](https://kubernetes.slack.com/archives/CJH2GBF7Y/p1616145933069400)
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
        * **<span style="text-decoration:underline;">Timeline Review</span>**
            * **March 24th - Docs deadline - PRs Ready for Review**
            * **March 24th - Test Freeze**
            * **March 25th - End of collection for Major Release Themes**
            * March 31st - Docs Complete
            * March 31st - Release Notes Ready for Review
        * **Enhancements**
            * Tracked: 50
            * Alpha: 19
            * Beta: 15
            * Stable: 15
            * Deprecation: 1
        * **CI Signal **([tracker](https://bit.ly/k8s121-ci-signal))
            * [master-blocking](https://testgrid.k8s.io/sig-release-master-blocking) is still flaky
            * [master-informing](https://testgrid.k8s.io/sig-release-master-informing) is still failing
                * Failing Jobs
                    * [Conformance - Open Stack](https://testgrid.k8s.io/sig-release-master-informing#Conformance%20-%20OpenStack)
                    * [capg-conformance-v1alpha3-k8s-master](https://testgrid.k8s.io/sig-release-master-informing#capg-conformance-v1alpha3-k8s-master)
                    * All windows jobs
                    * [gce-cos-master-serial](https://testgrid.k8s.io/sig-release-master-informing#gce-cos-master-serial) ([fix in flight](https://github.com/kubernetes/kubernetes/pull/100465))
        * **Bug Triage**
            * **22 open issues **in the v1.21 milestone
                * **3 critical-urgent**
            * **7 open PRs **in the v1.21 milestone
                * **4 critical-urgent**
        * **Docs**
            * Ready for review deadline is **Tomorrow**
            * 18 merged already
            * 19 ready for review
            * 2 still in draft
            * 1 is late
        * **Release Notes**
            * Major themes collection in progress. Due by March 25th.
* (feel free to add any topics you’d like to discuss as part of the agenda)
    * [Stephen] Possibly push Docs Placeholder PR Deadline before Code Freeze to give SIG Docs an understanding of the workload

**Walk the Board [timebox to 20 min]:**



* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
* Incoming issue and PR triage
    * [SIG Release issues needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [SIG Release PRs needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [Kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease)

**Open Discussion [timebox to 5 min]**



* (feel free to add any topics you’d like to discuss, even when they came up during the meeting)


## March 9, 2021 (recording)

**Host:** Sascha Grunert

**Attendees:**



* Vlad Gorodetsky (RT Lead Shadow)
* Taylor Dolezal
* Marko Mudrinić
* Dan Mangum (SIG Release TL)
* Jeremy Rickard
* Sascha Grunert
* Kunal Kushwaha
* Verónica López
* Joseph Sandoval (RT Enhancement Shadow)
* Max Körbächer
* Wilson Husin
* Adolfo García Veytia
* Nabarun Pal (1.21 Release Lead)
* Arnaud Meukam
* Luke Philips

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * Reorganization of repositories
            * [https://github.com/kubernetes-sigs/release-sdk](https://github.com/kubernetes-sigs/release-sdk)
                * Interfaces and implementations for building Kubernetes releases.
                * A more formal package where we are driving towards stable APIs.
            * [https://github.com/kubernetes-sigs/release-utils](https://github.com/kubernetes-sigs/release-utils)
                * Kind of a playground for functionality that we use across repos
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
        * 1.21 Updates
            * Code Freeze is today!!!!
                * [Milestone requirement PR in place](https://github.com/kubernetes/test-infra/pull/21227) (thanks Adolfo!) - LGTM’ed and Approved. Hold will be removed at 6PM PST
                * The email will be sent at 6PM PST right after the milestone requirement PR is merged.
                * [Nabarun] will send the email out to k-dev tonight. Will detail how things gets merged during code freeze
            * 1.21.0-beta.1 is released today. (thanks Max!)
                * [Nabarun] release went smoothly, thanks Max!
            * [Enhancements](https://bit.ly/k8s121-enhancements) (thanks Anna and all the Enhancements team shadows!)
                * 62 being tracked
                * 38 code complete or very near to completion
                * 24 are At RIsk of being removed from milestone
                    * [Nabarun] PRs are either not open, not close to completion, or haven’t had API review yet
            * Exceptions
                * 3 exceptions till now
                * [Reject Invalid PVC DataSource](https://groups.google.com/g/kubernetes-sig-release/c/6humzS-PU84/m/HeVrAGA6AwAJ)
                * [Structured Logging](https://groups.google.com/g/kubernetes-sig-release/c/shnk5YW5Yag/m/ICHY1R9BAwAJ)
                    * [Nabarun] major overhaul, lots of PRs in flights
                * [MaxUnavailable for Stateful Sets](https://groups.google.com/g/kubernetes-sig-release/c/Sht6SZxWf6s/m/dPIZVyxgAwAJ)
                * [Nabarun] The first and third above did not ever opt into the release, so they may be denied -- decision by end of day
            * Bug Triage (thanks to Derrik and his bug triage team!)
                * 32 open issues in v1.21 milestone
                    * Around 9 are related to flaking/failing tests
                    * [Nabarun] in pretty good shape here
                * 37 open PRs in the milestone
            * CI Signal (thanks to Joyce and their team!)
                * To be covered in the next section
            * Other verticals like Release Notes, Comms and Docs are green.
                * [Nabarun] Docs have a lot of incomplete but will expect it to drop as enhancement number drops
                * [Wilson] Fun fact: there are 108 PRs between 1.21.0-beta.0 and 1.21.0-beta.1  \o/
    * CI Signal ([https://github.com/orgs/kubernetes/projects/11](https://github.com/orgs/kubernetes/projects/11)) 
        * Testgrid dashboard review: [https://testgrid.k8s.io/sig-release](https://testgrid.k8s.io/sig-release)
            * Master-blocking looks good these days
            * Master-informing still flakes often on the *-windows-* 
        * Overall you see the progress in deflaking master-blocking in the project board, most of the flakes are picked up or resolved
            * In addition not so many new flakes opened the last days
        * [Max] sig-release-master-blocking has gotten much better over the past few weeks
        * [Max] still a lot of red on sig-release-master-informing, especially windows jobs (per usual) -- active discussion in Slack to get these addressed
        * [Max] some of the issues need to be advanced on the board
* [hasheddan] Flake Finder Fridays #001 this Friday!
    * [https://youtu.be/9muoWaXZK8I](https://youtu.be/9muoWaXZK8I) 
* [Wilson] Self-promotion of my pet project, looking to see if there are interest in collaborating / suggestions moving forward to get this migrated under kubernetes / kubernetes-sigs org
    * Currently lives here: [https://github.com/wilsonehusin/k8s-release-notes-data](https://github.com/wilsonehusin/k8s-release-notes-data)
    * This approach separates the "gather", "edit", "render" section of the release notes
    * The ultimate goal is that folks can submit overrides to release notes without having to do local operations of krel setup
* (feel free to add any topics you’d like to discuss as part of the agenda)

**Walk the Board [timebox to 20 min]:** 



* New [kubernetes/kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease) review
* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
    * [Adolfo] k/k 99427 seems to have stalled for a while, any takers?
        * [Sascha] one of the release managers?
    * [Veronica] k/release 1139 and k/community 5235 can fall under Marko's project for documentation write up
    * [Sascha + Adolfo] k/k 74375 collaborate with SIG Testing
    * [Artifact Management board](https://github.com/orgs/kubernetes/projects/48)
* Incoming issue and PR triage
    * [org:kubernetes SIG Release issue needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
        * Ben is looking on [#99818](https://github.com/kubernetes/kubernetes/issues)
        * [Sascha] 99656 -- we didn't change it recently, unclear who actually owns it
            * [Adolfo] we fixed the tagging problems, so it should be correct, but will take a look
        * [Adolfo] 99562 -- will follow up with Stephen on progress
    * [org:kubernetes SIG Release PR needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)

**Open Discussion [timebox to 5 min]**



* (feel free to add any topics you’d like to discuss, even when they came up during the meeting)


## Feb 23, 2021 (recording)

**Host:** Jeremy Rickard

**Note Taker**: Rey Lejano

**Attendees:**



* Wilson Husin
* Rey Lejano
* Adolfo García Veytia
* Max Körbächer
* Savitha Raghunathan
* Pavel Malinov
* Taylor Dolezal
* Tim Pepper
* Nabarun Pal
* Stephen Augustus
* Lauri Apple
* Luke Philips
* Verónica López

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
    * Luke Philips - lurk and learn and looking to see where he can help out
* Subproject updates
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * [hasheddan] Krel Config API ([https://github.com/kubernetes/release/pull/1926](https://github.com/kubernetes/release/pull/1926))
            * [Dan] WIP PR for API to configure krel, would like to be more declarative
        * [hasheddan] Using Crossplane to manage k8s community infra ([demo](https://youtu.be/eSjp9XnCIiM))
            * [Dan] Demo video, look at Crossplane to manage infrastructure, scoping out a POC for a mvp, will open an issue on k8s.io
        * [hasheddan] Documenting release-blocking tests
            * [Dan] Part of [supported platform](https://github.com/kubernetes/sig-release/issues/1337), would like to have better documentation around release-blocking tests, the strategy over time has been informal. So people are aware of the implications of job failures. Will try to get a template for people to build on. Asking for contributions to the effort
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
            * [Nabarun] 14 days from code freeze
            * [Nabarun] Feature blog freeze on March 1. Only have 1 blog opted in so far, would like to get 4. 
            * [Jeremy] Lots of flaky jobs on testgrid, is the team looking into it or need help
                * [Nabarun] Joyce is on top of it and the team is on top triaging flakes
                * [Stephen] Aaron is working on lots of changes on master blocking jobs, [one is around using now using k8s release dev bucket](https://github.com/kubernetes/test-infra/pull/20964) to pull artifacts (k8s community bucket) versus using a Google infrastructure bucket. 
        * 65 Enhancements being tracked
        * MWF burndown meetings to begin next week
        * 1.21-beta.0 release today
        * 1 feature blog opted-in. Team will be pinging SIG Leads on respective SIG slack channels.
    * CI Signal ([https://github.com/orgs/kubernetes/projects/11](https://github.com/orgs/kubernetes/projects/11))
        * Testgrid dashboard review: [https://testgrid.k8s.io/sig-release](https://testgrid.k8s.io/sig-release)
        * 
* (feel free to add any topics you’d like to discuss as part of the agenda)
    * Any guidelines for requesting security reviews? [Savitha]
        * Discussing how to include PRR reviews, don’t want to add more burden on KEP owners. Takeaways: time to request a PRR is when feature is proposed to SIGs, have an opt-in process and it will be up to the SIG leads to request for a security review. Also attached the WIP hardening guide
        * [Stephen] Around enhancements tracking repo is around scope. Trying to determine the scope of an enhancement. Two types of KEPs: KEP that the release team cares about and everything else. Suggest to look at the miro board
        * [Lauri] Link to miro board [https://miro.com/app/board/o9J_lbvQp4Y=/](https://miro.com/app/board/o9J_lbvQp4Y=/) 

                Lauri will add security reviews

* [Stephen] Link to scope issue [https://github.com/kubernetes/enhancements/issues/2311](https://github.com/kubernetes/enhancements/issues/2311)
* [Stephen] Meetings around KEPs (need more context) on Thursdays at US 1pm EST
* [Stephen] Looking at recent releases, we have many more enhancements in the releases and this will lead into the project planning/roadmap and tools that we’re writing now

**Walk the Board [timebox to 20 min]:** 



* New [kubernetes/kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease) review
* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
        * [Artifact Management board](https://github.com/orgs/kubernetes/projects/48)
        * [Veronica] Triage Party: url was down, Arnaud fixed the url. Arnaud also sent a PR with a bump for 1.21 and Carlos approved it. It’s been painful behind the scenes for all the downtime root-causes. Arnaud and Veronica discussed with this bump that it should be good-to-go but not 100% sure if this is what you would consider “done”. Call for people to collaborate or if people want to understand Triage Party. Link to Triage Party: [https://release.triage.k8s.io](https://release.triage.k8s.io/s/bug-triage)
            * [Stephen] Triage Party is currently pointing at 1.20. We need to create success criteria, ask what people want to see in dashboards, want boards for each sub project and ask what can we do to “close the books” on this. Need to look at automating triage party, can it be a Deployment?
            * [Lauri] Look at prototype plans and look at feature needs 
            * [Veronica] Open to what the “complete criteria” should be
            * [Veronica] PR to bump triage party to 1.4.0-beta.1 [https://github.com/kubernetes/k8s.io/pull/1700](https://github.com/kubernetes/k8s.io/pull/1700)
            * [Stephen] Start using triage party for SIG Release and subprojects and get a “wish” list going
            * [Veronica] Send us your wish list.
            * [Stephen] Need to have SIG release and subprojects using Triage Party and request Veronica and Arnaud to document gaps
        * Use docker buildx for the build-image k/k PR #99080
            * [Stephen] Have more clarity on what image it's referring to. Needs a review. Add reviewers to the PR
        * Automate some work for the release-docs/enhancement team
            * Unassigned but in-progress
            * Should be on the release-team project 
        * Rewrite milestone maintainer - Max (not on the call)
            * [Stephen] Let’s get reviewers, add Jeremy
        * Chair/Technical Lead access for Jeremy
            * Done but Jeremy will make the template more detailed and Stephen will fix Jeremy’s announce privileges 
        * Create some more CI Signal documentation 
            * [Lauri] Two weeks ago, they were nearly done 
            * [Stephen] Dan and Joyce are on point for review
            * [Joyce] Rob pushed a second set of changes, will take a look soon
            * [Stephen] [Action-item] Put this on the release team board
        * Draft a policy for updating Go versions across the Kubernetes code base/infra
            * [Stephen] Policy Doc will hand off to Carlos and Arnaud
        * CVEs for Dependencies 
            * From 2018
            * [Stephen] We are doing things differently, we should sync with SIG Security and Product Security committee. Adolfo is also adding CVEs to release notes template but that is a presentation template for disclosed CVEs not so much as the implementation path for CVEs. Need to refine the goal of this issue since the issue is 3 years old. Assign to Dan and Stephen
        * GitHub PR reviews as /lgtm + /approve for SIG Release repos
* Incoming issue and PR triage
    * [org:kubernetes SIG Release issue needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [org:kubernetes SIG Release PR needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)

**Open Discussion [timebox to 5 min]**


## Feb 9, 2021 (recording)

**Host:** Lauri Apple / Sascha Grunert

**Note Taker**: TBD

**Attendees:**



* Sascha Grunert
* Vlad Gorodetsky
* Marko Mudrinić
* Dan Mangum
* Arnaud Meukam
* Jim Angel
* Rey Lejano
* Adolfo García Veytia
* Lauri Apple
* Pavel Malinov
* Victor Palade
* Wilson Husin
* Joseph Sandoval
* Luke Philips

**Topics [timebox to 20 min]:**



* Welcome any new members or attendees
* [Sascha] Refurbished meeting agenda:
    * “Recurring Topics” has been renamed to “Topics” and can now be used by everyone to add their own content. Topics are now timeboxed to 20minutes.
    * Walking the board is a main part of the meeting, which is timeboxed to 20minutes, too.
    * Open discussion should be left open and will only take 5minutes at the end of the meeting from now on.
* Subproject updates
    * Licensing ([https://github.com/orgs/kubernetes/projects/31](https://github.com/orgs/kubernetes/projects/31))
        * [Sascha] Closed and remove from future agendas
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * [Dan] Working on API for krelfile
        * [Adolfo] Working on SPDX inspection, having to workaround issue with distroless base images
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
        * [Rey] Enhancement freeze is today, many at risk because of Production Readiness Review
        * [Wilson] PodSecurityPolicy announcement in progress
    * CI Signal ([https://github.com/orgs/kubernetes/projects/11](https://github.com/orgs/kubernetes/projects/11))
        * Testgrid dashboard review: [https://testgrid.k8s.io/sig-release](https://testgrid.k8s.io/sig-release)
        * [Dan] Quite a few flaky tests on master blocking most are very, very infrequent. We worked on canary work last week and using krel now. Fixed version marker issues from k8s infra
        * gce-cos-master-serial issue: [https://github.com/kubernetes/kubernetes/issues/98880](https://github.com/kubernetes/kubernetes/issues/98880) 
* FYI: SIG Testing KEPs relevant to release engineering being presented at SIG Testing meeting today [@spiffxp]
    * [Reducing Kubernetes Build Maintenance](https://github.com/kubernetes/enhancements/pull/2469)
    * [Kubetest2 CI migration](https://github.com/kubernetes/enhancements/pull/2465)
* Move gs://k8s-release bucket to k8s-artifacts-prod project? [@spiffxp]
    * context: [redirect dl.k8s.io traffic to community-owned GCS bucket instead of kubernetes-release](https://github.com/kubernetes/k8s.io/issues/1569)
    * gs://k8s-release currently lives in k8s-release project
    * tl;dr much easier re:billing to lump all artifact hosting costs under one project
* Idea / Proposal: [collaborative release notes review](https://github.com/kubernetes/release/issues/1889) [@wilsonehusin]
    * make the workflow more collaborative and less dependent on krel (i.e. "release team does not need to run krel locally")
    * please comment or reach out if you have thoughts!

**Walk the Board [timebox to 20 min]:** 



* New [kubernetes/kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease) review
* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
        * [Artifact Management board](https://github.com/orgs/kubernetes/projects/48)
        * [Lauri] Action item: ping sig-release channel about[ Go versions](https://github.com/kubernetes/release/issues/1139)
        * [Lauri] Action item: ping sig-release channel about [Developer Guide Audit Release](https://github.com/kubernetes/community/issues/5235)
        * [Lauri] Action item: ping in sig-release channel about [Kubernetes packages returning 404](https://github.com/kubernetes/kubernetes/issues/97264)
* Incoming issue and PR triage
    * [org:kubernetes SIG Release issue needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [org:kubernetes SIG Release PR needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)

**Open Discussion [timebox to 5 min]:**



* Ask around for the subproject updates before the meeting that we can ensure we get an update for each one


## Jan 26, 2021 (recording)

**Host:** Stephen Augustus

**Note Taker**: Sascha Grunert

**Attendees:**



* Sascha Grunert
* Vlad Gorodetsky
* Joyce Kung
* Adolfo García Veytia
* Evelyn Cupil-Garcia
* Rey Lejano
* Dan Mangum
* Jim Angel
* Lauri Apple
* Wilson Husin
* Arun Krishnakumar
* Pavel Malinov
* Rin Oliver
* Seth McCombs
* Kirsten Schumy
* Somtochi Onyekwere

**Recurring Topics [timebox to N min]:**



* Welcome any new members or attendees
* Subproject updates
    * Licensing ([https://github.com/orgs/kubernetes/projects/31](https://github.com/orgs/kubernetes/projects/31))
        * Subproject has closed 
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
    * CI Signal ([https://github.com/orgs/kubernetes/projects/11](https://github.com/orgs/kubernetes/projects/11))
        * Testgrid dashboard review: [https://testgrid.k8s.io/sig-release](https://testgrid.k8s.io/sig-release) 
* New [kubernetes/kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease) review
* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
        * [Artifact Management board](https://github.com/orgs/kubernetes/projects/48)
* Incoming issue and PR triage
    * [org:kubernetes SIG Release issue needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [org:kubernetes SIG Release PR needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)
* Currently ongoing: prioritization of topics we want to work on in this cycle
    * Let us know if there are any topics which should get a higher priority
* Email about SIG Release 2021 teaser:
    * Feedback from retro was that community did not get enough updates from SIG Release
    * Community meetings should be utilized to provide monthly SIG Release updates
        * Covers subproject work, too
    * February edition of the “SIG Release Digest” should be done until the end of the week \
Feel free to add your suggestions to the HackMD document: [https://hackmd.io/Q1B4GcU3TLamyssrjKpeNg](https://hackmd.io/Q1B4GcU3TLamyssrjKpeNg)

**Open Discussion [timebox to N min]:**



* [Dan] Other hardware arch & OS support?  Discussion in SIG Arch
    * [Number of different platforms are supported](https://github.com/kubernetes/sig-release/blob/master/release-engineering/artifacts.md) from SIG Release perspective
    * Applies to binaries and container images we release
    * Most tests are right now running for the linux/amd64 platform, improved testing coverage is one goal of the overall effort
    * Finding current set of supported “Tiers” should categorize support and test coverage: [https://github.com/kubernetes/sig-release/pull/1360](https://github.com/kubernetes/sig-release/pull/1360)
    * SIG Architecture meeting recording: &lt;link>
    * “Bill of Materials” epic is one part of the support strategy, too: [https://github.com/kubernetes/release/issues/1837](https://github.com/kubernetes/release/issues/1837)
* [Stephen] SIG annual reports for Steering
    * Steering committee started reporting for working groups (goals, needs, achievements)
    * Now applies to SIGs, too
    * Reach out to Stephen to find out metrics regarding our goals
* [Jim] Stakeholders discussion on a release page
    *  [https://kubernetes.slack.com/archives/C2C40FMNF/p1603814400441200](https://kubernetes.slack.com/archives/C2C40FMNF/p1603814400441200)
    * Standardized Kubernetes release page is the overall target
    * Parts of k/website could be used to move ownership to k/release
    * Stephen will draft a PR by the end of the week
* [Lauri/Derrik] Bug Triage wishes to run a grafana dashboard to track Issues/PR’s for milestones. Where should this be hosted (or should we piggyback off of [CNCF Devstats](https://k8s.devstats.cncf.io/d/22/open-issues-prs-by-milestone-and-repository?orgId=1&var-sig_name=All&var-milestone_name=v1.21&var-repo_name=kubernetes%2Fkubernetes)?)
    * User experience improvements planned for the CNCF Devstats
    * Can we track our work with the help of the stats?
    * Reporting template could be used for other workflow needs: [https://docs.google.com/document/d/1JOXKBDgXmQzz8YQSYa7XYcfVteM79iMtvId1aQXC1e8/edit](https://docs.google.com/document/d/1JOXKBDgXmQzz8YQSYa7XYcfVteM79iMtvId1aQXC1e8/edit)
    * When are we going to use triage party? What are the required bits to start using it? \
Lauri will follow-up in the sig-release slack channel after the meeting. \
[https://kubernetes.slack.com/archives/C2C40FMNF/p1610469778354000](https://kubernetes.slack.com/archives/C2C40FMNF/p1610469778354000)
        * Possible alternative Orbit: [https://orbit.love/solutions/for-maintainers](https://orbit.love/solutions/for-maintainers) \
Following-up with SIG Contribex to check if it’s applicable as well. (Rin/Charles)
* Release Cadence decision:
    * Follow-up email containing the feedback we’ve got will come soon
    * The next necessary steps have to be defined
    * Likely to write-up a KEP for applying the new cadence \
(targeting enhancements deadline at Feb 9th)
    * Community survey to gather data is also an option right now
* **Back to future topics:**
    * [Jeremy] - Merge Blocking after Milestones
    * [Kirsten/Jeremy] Clarify and memorialize criteria for removing unmerged items at Code Freeze;
    * [Taylor] For the release team shadow application responses, since the results contain PII, what is the best way to share out that privacy concern with applicants, and how do we gate access around that point of collection?
    * [Taylor] For people that do not get selected to be a part of the release team in a specific cycle, can we engage them in any other capacity or role(s)?


## Jan 12, 2021 (recording)

**Host:** Sascha Grunert

**Note Taker**: Verónica López

**Attendees:**



* Daniel Mangum
* Sascha Grunert
* Nabarun Pal
* Rey Lejano
* Verónica López
* Vlad Gorodetsky
* Taylor Dolezal
* Carlos Panato
* Joseph Sandoval 
* Stephen Augustus
* Kirsten Schumy
* Adolfo García Veytia

**Recurring Topics [timebox to N min]:**



* (if you have any… here are some suggestions)
* Welcome any new members or attendees
* Subproject updates
    * Licensing ([https://github.com/orgs/kubernetes/projects/31](https://github.com/orgs/kubernetes/projects/31))
        * [Stephen] No one actively working on the Licensing subproject 
        * [Stephen] May drop in 2021
        * [Lauri] Any steps to shutdown the subproject?
        * [Stephen] Don’t have to do much (to shut down the subproject)
        * [Dims] For some background, a bunch of dependencies that we were using, cleaned up, removed. The work has wrapped up and the subproject has achieved its goals and is not needed.
        * Links from Dims: Wrapping up Licensing subproject \
https://github.com/kubernetes/sig-release/pull/1412 \
https://github.com/kubernetes/test-infra/pull/20450
    * Release Engineering ([https://github.com/orgs/kubernetes/projects/30](https://github.com/orgs/kubernetes/projects/30))
        * [Miro board ](https://miro.com/app/board/o9J_ld0yX48=/?utm_source=notification&utm_medium=email&utm_campaign=daily-updates&utm_content=go-to-board): if anyone wants to adopt an issue/task on the board, please add your name under the relevant “team”, and let us know on #release-management on Slack
    * Release Team ([https://github.com/orgs/kubernetes/projects/29](https://github.com/orgs/kubernetes/projects/29))
        * 1.21 Release Cycle kicked off yesterday Monday January 11
            * [Adolfo] : considerations for proposed release schedule? (holidays, dates, deadlines, etc.)
            * [Stephen]  : Alpha releases should take place immediately after the previous official release. 
            * enhancements subproject: discussions to change the process (motivation: customer satisfaction). Allow release managers to opt in into the release process. Goal: have the workflow ready for 1.22
        * Schedule
            * Major milestones have been decided
                * **Monday, January 11th**: Week 1 - Release cycle begins
                * **Tuesday, February 9th**: Week 5 -[ Enhancements Freeze](https://github.com/kubernetes/sig-release/blob/master/releases/release_phases.md#enhancements-freeze)
                * **Tuesday, March 9th**: Week 9 -[ Code Freeze](https://github.com/kubernetes/sig-release/blob/master/releases/release_phases.md#code-freeze)
                * **Tuesday, March 16**: Week 10 - Docs deadline - Open placeholder PRs
                * **Wednesday, March 24**: Week 11 - Docs deadline - PRs ready for review
                * **Wednesday, March 31**: Week 12 - Docs must be completed and reviewed
                * **Thursday, April 8th**: Week 13 - Kubernetes v1.21.0 released
            * [Branch management milestones are being discussed](https://kubernetes.slack.com/archives/CJH2GBF7Y/p1610382888260400) \
A WIP Calendar -> [here](https://docs.google.com/spreadsheets/d/1q7UvVvZQKtrZaXCWejlUZCJYrAYckHPaTsnZ0lEJ9f4/edit#gid=0) [SIG Release Leads and Release Managers have access]
        * Shadow selection in progress
        * Important Milestones this week:
            * Enhancements Collections to begin Today, Tuesday January 12
                * Proposed [changes to process](https://github.com/kubernetes/sig-release/pull/1406) have been merged
                * Communication to go out after the All SIG Leads meeting today
            * Possible alpha.1 release Today, Tuesday January 12
            * Schedule to be finalized by Thursday, January 14
            * Shadows to be selected by Friday, January 15
    * CI Signal ([https://github.com/orgs/kubernetes/projects/11](https://github.com/orgs/kubernetes/projects/11))
        * Testgrid dashboard review: [https://testgrid.k8s.io/sig-release](https://testgrid.k8s.io/sig-release) 
* New [kubernetes/kubernetes issues](https://github.com/kubernetes/kubernetes/issues?q=is%3Aopen+is%3Aissue+label%3Asig%2Frelease) review
* Project board review: [https://github.com/orgs/kubernetes/projects/23](https://github.com/orgs/kubernetes/projects/23)
        * [Artifact Management board](https://github.com/orgs/kubernetes/projects/48)
* Incoming issue and PR triage
    * [org:kubernetes SIG Release issue needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Aissue+label%3Asig%2Frelease+label%3Aneeds-triage)
    * [org:kubernetes SIG Release PR needs-triage](https://github.com/search?q=org%3Akubernetes+is%3Aopen+is%3Apr+label%3Asig%2Frelease+label%3Aneeds-triage)

**Open Discussion [timebox to N min]:**
