# Contributing Guidelines

Welcome to Kubernetes. We are excited about the prospect of you joining our [community](https://github.com/kubernetes/community)! The Kubernetes community abides by the CNCF [code of conduct](../code-of-conduct.md). Here is an excerpt:

_As contributors and maintainers of this project, and in the interest of fostering an open and welcoming community, we pledge to respect all people who contribute through reporting issues, posting feature requests, updating documentation, submitting pull requests or patches, and other activities._

## Getting Started

To learn more about the project, please read through the following documents:

- https://github.com/kubernetes/dashboard/tree/master/docs
- https://kubernetes.io/docs/tasks/access-application-cluster/web-ui-dashboard/

All the contributions are done via GitHub.
More documentation on contributing can be found here:

- [Contributor License Agreement](https://git.k8s.io/community/CLA.md) Kubernetes projects require that you sign a Contributor License Agreement (CLA) before we can accept your pull requests
- [Kubernetes Contributor Guide](http://git.k8s.io/community/contributors/guide) - Main contributor documentation, or you can just jump directly to the [contributing section](https://git.k8s.io/community/contributors/guide#contributing)
- [Contributor Cheat Sheet](https://git.k8s.io/community/contributors/guide/contributor-cheatsheet/README.md) - Common resources for existing developers

### Create a patch

1. Submit an issue by describing your proposed change to the repo in question.
2. The repo owners will respond to your issue rapidly.
3. Fork the repo make your changes and test it.
4. Submit a pull request.

### Get through review process

All submissions, including submissions by project members, require review. We use GitHub pull requests for this purpose.

## Mentorship

- [Mentoring Initiatives](https://git.k8s.io/community/mentoring) - We have a diverse set of mentorship programs available that are always looking for volunteers!

## Contact Information

- [Slack channel](https://kubernetes.slack.com/messages/sig-ui)
- [Mailing list](https://groups.google.com/forum/#!forum/kubernetes-sig-ui)
